Introduction

StudioLine Photo Edition is the ideal photo solution for beginners and professionals alike. Pictures from digital cameras, Photo CDs, your computer's disk drives and other sources can easily be loaded into the image archive. An extensive array of image filters and dazzling graphics effects is available to optimize and enhance the quality. User-created folders, descriptors and keywords bring order to portfolios of any size. Thanks to the sophisticated StudioLine search-engine, pictures are found in a snap. Image collections can be presented as a slide show, printed, emailed and even published as a ready-made web-gallery.

Concepts

Keeping things simple for occasional users and at the same time increasing productivity for professionals required a new approach to working with images. While StudioLine looks and feels a little different than old-style Windows applications - you'll accomplish things quicker and easier.

Real-Time Changes

When editing images, you longer have to confirm your actions, close a window or save a picture just to see the results. With StudioLine, changes are applied immediately and visible real-time.

Safe as a Vault

No need to have a confusing number of similar copies of the same picture saved on your disk drives. StudioLine permanently maintains the original image in its image archive and then keeps a record of any changes or enhancements you applied. Reversing these changes or adding further effects can be done at any time later and always without loss of the original.

Drag and Drop

Whether importing images, applying photo effects or even copying image enhancements to an entire range of similar images; in StudioLine, dragging your mouse gets the work done in a nick of time.

Modes of Operation

StudioLine has been designed from ground up to integrate all image management, editing and publishing functions in a single software with two distinct modes of operation:

Mode
Function
Image Archive

The central repository for the final, high-resolution versions of the user's images together with a record of any corrections, enhancements and tool settings that are in effect for each image. Images are organized in folders with searchable descriptors and keywords.

Page Editor

Ready-made web-galleries can be previewed, customized and published to a web server.


Documentation

To accommodate the different needs of users’ various experience levels, the StudioLine documentation is organized in the following chapters:

Introduction

A conceptual view of the StudioLine will briefly introduce the key components of the product. By gaining an understanding of the software's philosophy, users will be able to fully benefit from its innovative approach.

Installation

Information about setting up and maintaining StudioLine on a workstation.

Tutorial

Learn the basic concepts of StudioLine's user interface. Even highly experienced Windows users should at least review the Tutorial chapters.

QuickStep Guide

Illustrated step-by-step instructions on how to use the QuickStep bar to load, work on and share your own images. For users of any level of expertise, this is the quickest and most interactive way to getting to know the StudioLine Photo Edition.

Advanced Users Guide

Describes some advanced concepts and capabilities, not found in the other guides. For hands-on instructions or comprehensive lists of options, the reader will be referred to the appropriate sections of the other manuals.

Reference

Concise descriptions for the StudioLine graphical user interface, such as menus, toolbar, panels and context menus.

Appendix

A collection of tables, charts, technical background and other miscellaneous information.

Accessing as Online Help

The reference information and most other chapters of this documentation are available as online help from within StudioLine, simply by press the F1 key. StudioLine’s online help is context sensitive. Whenever possible, it will open a chapter of the documentation that is relevant to the currently opened panel or menu.

Symbols Used

Throughout this documentation, common symbols are used to concisely relate certain concepts or information.
Suggested Reading

This will point to a different section of the documentation, where the subject is covered more in detail.

Drag Source

Items marked as a Drag Source may be copied or moved with the mouse by way of a Drag & Drop operation.
Drop Target

Items marked as a Drop Target may be receive objects or settings by way of a Drag and Drop operation.

Revision Status

This document applies to StudioLine 1.0.0.13887, built August 30, 2002.

Last document update: 01-Sep-02 23:22


Preparation

  • Review the file README.TXT, located in the root directory of the StudioLine CDROM and on the StudioLine download site

  • Verify that your PC is compatible with the system requirements

  • Install or update required software components

  • Close all running applications until the Windows® task bar is empty


System Requirements

  • Windows® XP, 2000, ME, 98, Windows NT 4.0 SP5, or higher

  • Pentium II, 300 MHz or faster

  • 128 MB RAM

  • 80 MB available disk space for programs (allow extra space for data)

Recommended Settings

For best results, set your display properties to at least 800x600 pixels of screen resolution and choose the HiColor or TrueColor setting (with 65,536 or more colors).

Disk space requirements will increase substantially with the number and size of StudioLine created sites.


Software Requirements

StudioLine requires that certain software be installed on your PC. The Setup program will remind you to install the latest versions of any required components off the StudioLine CDROM. You may also download these components from the StudioLine web site.

DHTML Capable Browser

HTML pages created by StudioLine need to be viewed in a browser that is compatible with the specifications of the Document Object Model, Level 2, by the World-Wide-Web Consortium (W3C DOM Lvl. 2). Versions 4 or higher of Netscape® Navigator or Internet Explorer are compatible, as well as Opera Version 5.0 and higher.

Microsoft® Components

  • MDAC 2.5 - This component update, or a later version, is required for the StudioLine database. For multi-boot systems it is crucial that identical versions of MDAC are installed in each of the operating systems (e.g., Windows 98 and Windows 2000), sharing one and the same “Program Files” folder.

  • WordPad - StudioLine includes some helpful documents in .RTF format on the CDROM and in the program folders on your hard disk. To view these documents, you will need WordPad or a comparable text editor.

This program is included with Windows. If WordPad is missing, you can install it from your Windows CDROM:

    • open Control Panel and choose Add/Remove Programs

    • select Windows Setup, then Accessories

    • select WordPad


Installing the Software

Installation from CDROM

Insert the StudioLine CDROM in the drive to start Setup. If AutoRun has been disabled for your CDROM drive, open Control Panel and choose Add/Remove Programs.

Installation of Downloaded Software

The download version of StudioLine is compressed into a single program file. Locate the downloaded file SLPhoto.EXE on your disk and run it.

Language Support

During Setup, StudioLine will adhere to the language settings of the operating system. Once installed, StudioLine offers a number of supported languages to choose from.


QuickStep Bar

The QuickStep bar walks novice users through the basic steps of loading, editing, printing and sharing images. Clicking on a task will open an instruction window, as well as any panels that may be relevant for this task.

If the instruction window doesn’t answer all your questions, then click on the “More Information” button for a more in-depth description.

After becoming familiar with StudioLine, you can suppress the instruction window by clicking the button “Don’t show this hint again.” To restore the instruction window, choose “Show All Hints” from the Help menu.

If the QuickStep Bar does not appear, choose “Show QuickStep Bar” from the Preferences menu.


Importing Images

To use StudioLine for your images, they need to be imported into the StudioLine Image Archive. The Image Archive will always safe-keep the original image, so that you can safely experiment with the effects of the various StudioLine functions and not worry about losing your originals.

Locate your images on your computer:

Understanding the Terminology

Disk Drives

Computers and digital cameras are storing images as files. With Microsoft Windows, files are saved to disk drives. Each disk is labeled with a unique drive letter (followed by a colon) and usually represents a physical device - either internal to your computer or some external unit. Most commonly, drive letters “A:” and “B:” are used for diskette or ZIP drives, “C:” is the hard disk. Other drive letters (“D:”, “E:”,…) may be assigned to additional hard disks or your computer’s CDROM or DVD drive.

Digital Cameras

There are two common interfaces to connect digital cameras to your computer. One method treats your camera like a scanner and uses the TWAIN interface. In that case, follow the directions supplied with your camera on how to copy images to your hard disk.

Many cameras are treated by Windows, as if they were simply another removable disk drive. Windows will assign an available drive letter (e.g., “E:”) as soon as your camera is connected and your pictures are immediately available to StudioLine.

Folders

Managing hundreds or thousands of images, documents, programs and other files on your computer would quickly become confusing. That’s why Windows organizes files in folders. In many cases, larger folders are further divided into sub-folders.

It may be helpful to visualize a disk drive as the root structure of a tree. The very top of the root structure is the main folder – also known as “root”. The first level of branches represents any folders contained in the “root” folder. Each of the branches can branch out even deeper, representing another level of folders.

Locating Your Images

The StudioLine Explorer “Desktop” shows a list of all drives connected to your computer.

Double-click the drive letter that contains your images, e.g. “Removable Disk (E:)” for your digital camera, or “Compact Disc (D:)” for a photo CDROM.

The left pane of the StudioLine Explorer panel lists any folders on the selected drive. The right “content” pane, lists the content of the top-level “root” folder on the selected drive. To keep the display concise, the content of other folders is not listed immediately. Double-click on any folders in the left pane, to open and view its content.

Typically, digital cameras store about 100 images per folder. Several image folders are then grouped together in a parent folder. To locate your first 100 images, you would have to double-click on drive letter “E:”, then on the parent folder “DCIM” and finally on the image folder “100abc”. (Of course, you would have to substitute the drive letter and the folder names with the appropriate letters and names applicable to your computer and camera.) To view the next 100 images, you would first have to return to the parent folder by pressing the button “One Level Up”:

Then click on the folder containing the next set of images, e.g. "101abc".

Importing Your Images

Once you located the images on your digital camera or your computer, you can drag them from the StudioLine Explorer panel to the StudioLine workspace:

  • Simply press the left mouse button on any picture.

  • Hold the mouse button while moving the mouse pointer to the background of the main StudioLine window.

  • Finally, release the mouse button and the image will be dropped on the Image Archive content pane.

This technique is referred to as “Drag & Drop”.

You can also import multiple images at one. To select more than one image, hold down the Ctrl key while clicking the left mouse button on the chosen images. You may also click between images, hold down the mouse button and drag it across the list of chosen images to create a selector band around them. You can still add additional images to your selection, by using the Ctrl key.

See the chapter on Selecting Objects, for further information. [->LINK].

Organizing Images

You can create folders in the Image Archive to better organize your images.

See the chapter on Creating Folders, for further information. [->LINK].

Viewing the Image Archive

Once you imported your images, they’ll appear as thumbnail pictures in the Image Archive content pane. Don’t be alarmed by the small appearance - the images are stored full size and are ready for further use.

See the chapter Working on Images for further information.


Working with Images

Before you can work with images, they need to be imported into the StudioLine Image Archive.

See the chapter Importing Images for further information.

Image Tools

In StudioLine, you edit your images by applying image tools to them. Each image tool performs specific functions against an image. For instance, there are images to rotate and crop, correct color hues or to subject the image to various special effects.

For every image, StudioLine remembers the tools you used and their settings and uses those when displaying an image. However, the original image is maintained unchanged. This way, you can experiment with image tools, change settings or reverse any actions – even months later.

Applying an Image Tool

To apply an image tool on an image in the Image Archive, select the particular image by clicking on it with the left mouse button. On the “Image Tools” panel, click on one of the tools and filters listed. A panel opens with the settings for the selected tool. Use the various controls to change the tool settings – and StudioLine will immediately update the thumbnail picture to show the effect.

There is no need to confirm your actions with an “OK” button. Any tools and settings can easily be changed or reversed at any time.

Applying Image Tools on Multiple Images

To apply the same tool against multiple images, first select these images before accessing tools or changing their settings: Press and hold the Ctrl key while clicking the chosen images with your mouse. You may also click left mouse button on the workspace background, then hold the mouse button down while moving the mouse pointer across the chosen images to create a selector band around them. You may still add additional images to your selection, by using the Ctrl key.

See the chapter on Selecting Objects, for further information. [->LINK].

Active Tools List

For every image, StudioLine remembers the list of filters that may have been applied and their settings. To view the list of active tools, select an image and choose “Active Tools” from the “Edit” menu. (You can also click the right mouse button on an image to access its Context Menu and then choose “Active Tools”.)

Changing the Processing Order

You can control the order in which tools are applied against an image, but dragging them in the Active Tools list. StudioLine will apply the tools top to bottom.

To illustrate the effect of the processing order, assume you applied the “Colorize” tool first and then the “Black and White” tool. The resulting picture will be black and white – totally negating the effect of any colorizing you did first. However, by changing the processing order, the image would be first turned into black and white and then the black and gray areas would be colorized. The result would be a uni-color picture with various color saturations.

Discarding Tool Settings

To discard the effect of an image tool, simply drag the tool from the “Active Tools” list of a particular image to the Trash Can in the upper right corner of the StudioLine window. If the tool’s settings panel is currently open, you may also select the particular image and then drag the “Copy” button from the top left corner of the tool’s setting panel to the Trash Can.

Copying Settings

There are a number of ways how you can copy tool settings from one image to another.

Dragging the “Copy” Button to a Single Image

  • Click the left mouse button on the image, which already has the correct image tools settings.

  • Open the image tool you wish to copy.

  • Drag the “Copy” button of the image tool’s settings panel to any other image that should inherit the identical settings.

Clicking the Copy Button

  • Click the left mouse button on the image, which already has the correct image tools settings.

  • Open the image tool you wish to copy.

  • Hold down the Ctrl key to select additional images (be certain that the original images remains selected!)

  • Click the “Copy” button of the image tool’s settings panel to apply the same settings to all selected images.

Using the Active Tools List

To copy the settings of a single image tool, drag the particular tool from the Active Tools list to any target images.

To copy all image tools, drag “Copy” button of the Active Tools list onto any target images (or use the Ctrl key to select additional images and then click the “Copy” button.)

Using the Lock Button

The “Lock” button will freeze the current settings of this tool. The button will turn red, to indicate that these settings are locked. You may now freely select target images located elsewhere in StudioLine (e.g., other Image Archive folders). When you have located a target image, use or drag the “Copy” button to apply the settings. You can continue this process as long as you choose. Once completed, unlock the settings by clicking the “Lock” button a second time.

Advanced Techniques

The Image Archive offers a number of additional functions that are covered elsewhere in the online help:

Image Preprocessing

Image Descriptors


Slide Show

The Image Archive content pane and the StudioLine Explorer display only thumbnail images of your pictures. The StudioLine Image Viewer can display your images also full-screen or in their actual size. Series of images can be viewed as a slide show.

To present your images in a slide show, they need to be imported into the StudioLine Image Archive. See the chapter Importing Images for further information.

Initially, the Image Viewer displays the first selected image. Drag the sizing handle to change the size of the viewer panel.

Click the VCR-style “Start” button to display all selected images, one at a time. The interval and other options can be controlled by clicking “Configure Slide Show”:

For the most appealing display, click the “Full Screen” button on the bottom left of the Image Viewer panel:

This will temporarily hide the Windows screen with all its program windows – including StudioLine. To exit the full-screen mode, press any key on your keyboard. You may also click the “Exit Full-Screen Mode” button on the slide show control bar:

If the control bar is not visible, click the right mouse button anywhere on the screen. The context menu allows you to enable the control bar.


Web Galleries

StudioLine can generate fully functional picture galleries that may be viewed with the popular web browsers and that can be published to a web site.

Each web gallery has an index page, showing thumbnail images of all pictures in that gallery. By clicking a thumbnail image, a page will open showing a larger view of that same image together with any narrative text. Navigation buttons allow you to browse other images in the gallery or to return to the index page.

Creating a Web Gallery

In the Image Archive, select any number of images. Then click the “Web Gallery” on the QuickStep Bar. The “Web Gallery” panel will open and allow you to choose from a number of gallery designs:

The left pane shows different styles for the thumbnail images. Click on any of the styles to preview the gallery’s index page in the right pane. Accept your design choice by clicking the “OK” button.

Next you’ll decide on a name for the gallery. Once you click “OK” again, there will be a slight delay while StudioLine generates the web gallery.

Customizing a Web Gallery

After generating the web gallery, StudioLine switches to Page Editor mode where you work on the gallery pages. Refer to the QuickStep bar for additional instructions.

To return to the Image Archive, click the appropriate button on the QuickStep bar, or, click the drop-down list “Page Editor” between the menu and tool bars and select “Image Archive”.


Send Images via Email

Sending Images via Email

StudioLine can create a new email message, attach your images and then and pass it to one of the popular email programs. Select any number of images, then click “Email” on the QuickStep bar. Or, click the right mouse-button on the selected images to open the context menu, then select “Send via Email”.

The “Send via Email” panel opens, where you can determine the size and file format of your image attachments.

Image Size

Click the Image Size button to change the outer dimensions of your image attachments.

Selecting the option “Original Size” will email the images at the full size as they are stored in the Image Archive. Otherwise, choose the most common sizes from the drop-down list or enter custom values for maximum height and width.

The maximum height and width define the outer dimensions into which each image attachment will fit. If necessary, images will be reduced appropriately while maintaining the orientation and aspect ratio. Small images will not be enlarged, as that would impair the picture quality.

Click the “OK” button to return to the “Send via Email” panel.

File Format

StudioLine will propose to email images in the widely recognized and very compact JPEG format. The transmission times during sending and receiving will benefit from the resulting small message size. The estimated size of the email message appears near the bottom of the panel.

For the JPEG file format, you can further customize the image quality by clicking the appropriate button. High qualities result in larger emails. Low qualities may be suitable for a series of images that is sent solely for discussion purposes.

Other file formats always use the quality of the original image. These file formats should only be used for specific applications – such as sending images for print purposes. If you need to send an image with transparent areas or irregular shapes, choose the TIFF or PNG file formats and select the option “with Transparency”.

Sending

Click “OK” on the “Send via Email” panel. If you have compatible email software installed, the program will start and open a new message with the selected images as attachments. Simply enter the recipient email addresses, type a cover letter and send when ready.


Printing

Select images to print, then click on the button “Print” of the QuickStep bar or the “Print” button on the toolbar.

Print Spooler

The selected images appear in the Print Spooler panel. The “View” button on the left toggles the image list between different display styles.

The buttons on the right control the print process in detail, such as the size, number and layout of images.

Number of Prints Per Image

This button opens a panel to choose the number of times an individual image is printed. This can be helpful, if the various guests of an event ask for copies of different photos you took. Select one or multiple images in the print queue, click the “Prints per Image” button and enter the number of prints needed.

Print Settings

Click this button to change the cutout area, orientation or size of an image.

The drop-down list “Picture Format” lists popular image sizes. The cropping handles in the image preview area will adjust automatically, if the aspect ratio of the chosen picture format is different than that of the picture itself. Any excess area is filled with a background color, which can be chosen by clicking the “Background” button.

To crop the image to the picture format, drag the cropping handles in the image preview area. If the aspect ratio is locked, two perpendicular cropping handles will automatically move proportionally. To define the exact cutout area, click in the center between the cropping handles and drag the cutout.

Refer to the Reference Guide for additional functions available on this panel.

Submitting to Printer

After choosing appropriate options for each image, proceed by clicking the “Print” button. This will include all images in the Print Spooler. To choose specific images for printing, select those images in the Print Spooler before clicking the “Print” button.

The “Print” panel opens.

If you have access to more than one printer, choose one from the drop-down list. The “Printer Settings” button will allow you to change options that are hardware-specific.

Two buttons allow you to limit the print process to any images that were selected from the Print Spooler – or to disregard the selection and print all images.

The “Copies” option determines how often each page will be printed.

Use the “Crop marks” option, if you intend to cut the printed images with the help of a ruler and cropping blade.

Click the Print Preview button to view the effect of any options you have chosen.

“Images per Page” can be used to limit the number of images that are printed on the same page. This may be helpful when pages intended for a photo album. The “Maximum” option will minimize the use of expensive photo paper.

“Optimize Utilization” will change the order and orientation of images across all pages to minimize the number of printed pages. This option should be used, if you plan to cut the individual images from the printed page.

“Center on Page” will center the page content on the paper. This will produce the most aesthetically pleasing look.

“Optimize Quality” will determine the exact resolution of the printer. If necessary, images are printed slightly larger, to match the printer resolution. The result are higher-quality prints – but the printing process may be slowed down significantly.


Edit a Web Gallery

Once you open an automatically generated web gallery, you’ll note that some text blocks such as headlines only contain placeholder text.

Opening the Top-Most Text Block

To replace the placeholder text with your own, click “Edit” on the QuickStep bar. This opens the text editor for the top-most text block.

You may now type over the placeholder text. Once complete, you can close the text editor by clicking anywhere on the background of page editor workspace. If you again click “Edit” on the QuickStep bar, the text editor will open for the same top-most text block.

Opening the Text Blocks in Sequence

With the text editor open, click “Edit” a second time. Now, the text editor focus shifts to the next text block in sequence. (After the bottom-most text block, the text editor will simply revolve back to the top-most text block.)

This is a convenient way to open and review edit all available text blocks on a page.

Opening a Specific Text Block

To directly edit a specific text block, simple double-click it with the left mouse-button. You should note, that the content of some text blocks is predetermined by the web gallery style you chose and cannot be changed. These texts (e.g., the image captions) were carried over from the descriptors of the particular image and can only be revised in the Image Archive.


Preview

To preview and test a web gallery with a web browser, click “Render” on the QuickStep bar. StudioLine will generate the necessary HTML documents. This process may take a few minutes, depending on the number and size of images.

A message box will advise you, once the web gallery has been rendered. Choose “Preview in Browser” to open the gallery in your computers default web browser.

Verify that the appearance of the pages meet your expectations and test the links from the index page and the navigation between the individual image pages.

If necessary, close the browser and make adjustments in the StudioLine page editor. For another preview, click “Render” once again.


Transfer

To view your web gallery on the Internet, it needs to be published from your local workstation to a public web server. Sometimes, your Internet Service Provider (ISP) provides you free web space as part of your monthly access charges. Otherwise, you will have to arrange web space with one of many web-hosting providers.

StudioLine uses the universally supported “FTP” (File Transfer Protocol) for uploading your files to the web server.

Publishing Profile

After clicking “Transfer” on the QuickStep bar, the Publishing Profile panel opens – either as an empty form or with the information you had previously entered. The information in the publishing profile enables StudioLine to contact the web server and transfer a gallery.

Photo Edition

The StudioLine Photo Edition uses the same publishing profile for all of your web galleries.

Web Edition

The StudioLine Web Edition supports multiple publishing profiles per site. An additional field allows entering a “Profile Name”. This feature is helpful, if your you first test your sites on a private staging server before publishing it to the public production server.

Profile Information

To information for the publishing profile has to be obtained from the provider of your web space.

Usually, you’ll only need to fill in the FTP server, login or user name, password and the “URL of Site’s Root”. The remaining fields can remain at their default values.

If your provider does not specify a separate FTP server, then it may be the domain name of your web site (e.g., “www.YourDomain.com”) and the URL of the web site root would be “http://www.YourDomain.com”.

To upload your pages to specific folders on your FTP server, specify the “Remote Directory”. If the FTP folder translates to a corresponding folder on your web space, then append the folder name to the URL of the web site following a forward slash, e.g. a remote directory of “MyFolder” would be represented in the URL as “http://www.YourDomain.com/MyFolder”.

The name of the “Default Document” is server-specific, usually “default.htm”, “index.htm” or “index.html” and can be obtained from your web-hosting provider. StudioLine requires this name to generate proper names for your pages. If you are unable to obtain the name, then StudioLine can attempt to determine that name for you while testing the publishing profile (see below).

The number of “Maximum Concurrent Connections” tells StudioLine, how many parallel FTP sessions it may open in an attempt to maximize bandwidth and reduce total upload times (possibly reducing your connection fees.) Some providers do not permit more than one connection. StudioLine can attempt to determine the maximum number while testing the publishing profile.

Sometimes, workstations are running behind firewalls or have personal firewall software installed to avoid intrusions by unauthorized parties. Depending on the firewall technology and configuration, it may be necessary to specify a “Proxy Server”, a “Port” or to select the option “Passive Mode”. Your local system administrator will be able to assist you with the correct configuration.

Testing the Profile

After filling in the profile, click the “Test” button. StudioLine will connect to your web server and verify your settings and make any corrections where possible. If the test fails and StudioLine cannot determine the correct settings, then an error message will indicate the specific circumstances.

It is possible, that your web server requires less common settings for “Remote Directory”, “URL of Site Root” and “Standard Document”, which differ from the above examples. In that case, you will need to contact your web-hosting provider for the correct information.


Image Archive

If you are done working on web galleries, click “Image Archive” on the QuickStep bar.

You may also use the “Mode” drop-down list (between the menu and tool bar) and select “Image Archive”.


Getting to Know StudioLine

The StudioLine documentation comes with a number of guides and features designed specifically for new users to discover the many exciting capabilities of the software:

Tutorial

StudioLine uses an entirely new approach to working with images. Therefore, it is important to learn the basic concepts of StudioLine's user interface. Even highly experienced Windows users should at least review the Tutorial chapters, so that they can fully benefit from the many built-in productivity features.

QuickStep Bar

For users of any level of expertise, the quickest and most interactive way to getting to know the StudioLine Photo Edition is not by browsing it's menus. Instead, follow the sequence of the QuickStep bar and click the button "More information about this subject" for every step. The corresponding QuickStep Guide contains illustrated step-by-step instructions on how to load, work on and share your own images.

Online Help

For a comprehensive list of options, choices and capabilities behind every StudioLine menu and panel, press the F1 button on your keyboard. It will automatically open the appropriate section in the Reference Guide.

Advanced Users Guide

This guide describes some advanced concepts and capabilities, not found in the other guides. For hands-on instructions or comprehensive lists of options, the reader will be referred to the appropriate sections of the other manuals.


Image Archive

The StudioLine Photo Edition revolves around the image archive. It is the central repository for final, high-resolution versions of your images together with a record of any corrections, enhancements and tool settings that are in effect for each image. Images are organized in folders with searchable descriptors and keywords.

Take a moment to locate the various areas of the image archive screen and their function.

Menubar

Click on any menu item to see a list of functions. Some menu entries may be grayed out, if they don't apply at the moment. With the menu open, press the F1 button on your keyboard to view the appropriate section of the Reference Guide.

Mode Selector

Switch between the primary "Image Archive" mode and the "Page Editor" mode to preview, customize and publish ready-made web-galleries.

Folder Path

Displays the image archive path for the current folder.

  • Click on one of the entries in the drop-down list to quickly access recently used folders.

  • Click on the "Clear List" entry at the bottom of the list to clear the history list.

Background Processing Indicator

This indicator will flash a color, if StudioLine is still working on a function you have previously initiated. You can continue working with StudioLine, but some results may not be visible until background processing has completed.

Toolbar

Contains graphical buttons to frequently used functions. Some buttons may be grayed out, if they don't apply at the moment.

Trashcan

To delete objects or settings, drag them to the trash can.

Folder Pane

Displays a list of sub-folders for the current image archive folder.

  • To locate an image, press the Search button.

  • To view the content of a folder, single-click the left mouse button on the folder’s icon.

  • To view a list of sub-folders, double-click the left mouse button on the folder’s icon.

  • To view the parent folder of the current folder, click the Up One Level button.

  • To add a folder, press the New Folder button.

  • To delete a folder, drag it to the trashcan.

  • To rename a folder or to see a list of other available functions, click the right mouse button on the folder's icon.

Workspace

The workspace displays preview images (thumbnails) for the content of the current image archive folder. Display options, such as the arrangement, size and order of preview images can be customized for each folder. Simply access the context menu by clicking the right mouse button over an empty area of the workspace.

To set certain default options, select Preferences from the menu bar and then choose Image Archive or Image Archive Background.

QuickStep Bar

The QuickStep bar walks new StudioLine users through common tasks. It is the most effective way to get started with StudioLine.

If the QuickStep Bar does not appear, choose Show QuickStep Bar from the Preferences menu.


Managing Folders and Objects

The image archive is a sophisticated organizational tool for your picture collections with a wide variety of management functions.

Adding New Images

  • Choose Insert from the File menu or open the Windows Explorer.

  • Locate your images on your local disk or network drive.

  • Select one or multiple images and drag them either to the image archive workspace or to a folder in the folder pane.

  • The image archive will store pictures in the best available quality, based on the limits defined in the Preferences menu.

For illustrated, step-by-step instructions, use the QuickStep function Load Images.

Finding Images

To locate an image by name or descriptor values, click the Search button on the folder pane.

Moving Images

To move images between archive folders, simply open a second folder view using one of several techniques:

  • Choose StudioLine Explorer from the File menu and navigate to the image archive.

  • Press the Explore Image Archive button on the toolbar.

  • Choose New Instance from the File menu to open another StudioLine instance in image archive mode.

Then click on any images and drag them between folders.

Copying Images

To create a copy of an image, choose Create a Copy from its context menu. Copying an image allows you to define different cut-out areas or apply other image tools against different variations of the same image.

Sorting Images

  • Click the right mouse button over an empty spot of the image archive workspace.

  • Choose Sort from the Context Menu.

  • Choose the Descriptor by which the images in this folder should be sorted.

New images are inserted at the proper location for the sort criteria that has been defined.

If no sort criteria has been defined, then the location can be controlled by the user. If a new image is dropped on a closed folder, it will be appended at the bottom. If a new image is dragged on the workspace, it will be inserted where it was dropped.

Creating Image Shortcuts

Some images could logically belong to more than one folder. An image shortcut allows you to include references to the same image in any number of other folders.

  • Select an image on the work space.

  • Choose Create a Shortcut from its context menu.

  • Open the StudioLine Explorer for Image Archive to locate other folders.

  • Drag the image to any other image archive folder.

Deleting Workspace Objects

To irreversibly delete folders, images, copies or shortcuts, drag the respective object to the trashcan.

Additional Functions

A list of other functions can be viewed by clicking the right mouse button on a folder, on a workspace object or on the workspace background. The respective context menu will open. Then press the F1 button on your keyboard to view the appropriate section of the Reference Guide.


Working with Images

Thumbnail Zoom

Sometimes, similar looking images are hard to tell apart when looking at small thumbnail pictures. The small scale also makes it difficult to judge, whether images may need enhancing.

To temporarily increase the size of the current thumbnail picture:

  • Select an image on the workspace.

  • Click the Zoom button on the toolbar, then choose a zoom factor. (You can also press Ctrl and ‘+’ as often as necessary.)

  • While the Zoom panel is open, click on any other images on the workspace.

  • To stop the zoom action, close the Zoom panel.

Image Tools

StudioLine has an extensive suite of tools to manipulate, optimize or enhance your picture as well as special graphics effects. Tools may be applied to one or multiple images. Tools and their settings can be copied to other pictures that require the same treatment.

  • To view the available tools, choose Image Tools from the Edit menu.

  • A description of the image toolbox and its tools may be found in the Reference Guide chapter Image Toolbox Panel.

  • For illustrated, step-by-step instructions, use the QuickStep function Edit.

After applying image tools, you can verify the results in the Image Viewer.

  • Choose Image Viewer from the Context menu or double-click the image on the workspace.

  • Resize the Image Viewer panel by dragging its sizing handle in the bottom right corner.

  • Choose a scaling factor to suite your needs.

  • Press the Active Image Tools button to toggle between a display of the image with and without the tools applied.

Image Descriptors

As an image collection is rapidly expanding, it becomes increasingly difficult to locate images even in well thought-out folder structures. Therefore it is a good practice to supply descriptive information, such as name, title and description, for all images as soon as they are imported into StudioLine. Some digital cameras may even add their own descriptor values for exposure settings and other technical data.

Descriptors permit a user to sort, categorize and search for images by any number of classifications. They are also displayed in slide-shows or become headlines and captions in web-galleries.

To review or add descriptive information, choose Descriptors from the Edit menu. Press the F1 button on your keyboard for instructions how to use this panel.

Like other settings, image descriptors may be applied to other images by dragging the copy button. This is useful when importing a series of images that have a mostly identical descriptive information.


Presenting and Sharing

From the image archive, pictures can be used in slide shows, printed or sent via electronic mail.

Slide Show

Within a few clicks, you can turn your computer screen into an ad-hoc slide projector. A selection of images or even the content of entire folder trees can be shown full screen, complete with a caption for each.

  • Select any number of images on the work space. (If you want to include the entire folder, then no selection is necessary.)

  • Choose Image Viewer from the Context Menu.

  • Press the button Configure Slide Show to specify the content and customize any other settings.

  • In the Image Viewer panel, press the VCR style Start Button.

For illustrated, step-by-step instructions, use the QuickStep function Slide Show.

If some of the images for your slide show are located in different folders, create a shortcut for each of these images and drag the shortcuts to the current folder.

Email

For easy sharing of images, StudioLine can create attachments that are optimized for email use and pass them to most commonly used email applications.

  • Select images on the work space.

  • Choose Send as Email from the Context Menu.

  • If necessary, change the image size and quality – being mindful of the total message size.

  • Press the OK button to start the default email application configured for your computer. (This requires that your email application is capable of accepting attachments from external program sources, such as StudioLine).

For illustrated, step-by-step instructions, use the QuickStep function Email.

The default email settings are controlled in the Preferences menu.

Print

A professional printing engine will output high-quality prints and optimize the use of expensive photo paper. Images can be batched up, with different settings for each image. The intelligent print spooler work on your print tasks (which can take significant time) while you are free to tend to other things.

  • Select images on the work space.

  • Choose Select for Printing from the Context Menu.

  • If necessary, switch to other folders and keep adding images to the print spooler.

  • In the Print Selection panel, select one or multiple images in the spooler.

  • Press the Copies button to control the number of prints for each image.

  • Press the Settings button to control size, orientation, resolution and other image specific options.

  • Press the Print button to review the settings for the printed page.

The default print settings are controlled in the Preferences menu.

For illustrated, step-by-step instructions, use the QuickStep function Print.

Export Images

Images can exported to common graphics file formats for use in third party applications.

  • Choose Export Images from the File menu, or open the StudioLine Explorer for My Computer from the toolbar.

  • Navigate the StudioLine Explorer to the desired location for your exported images.

  • Drag one or multiple images from the image archive workspace or a StudioLine Explorer for Image Archive to the target folder in the open StudioLine Explorer for My Computer.

  • In the Export Object As panel, choose the image size, file format and other options.

  • Enter a file name or leave the file name “*” for StudioLine to automatically derive a filename from the name of each image.

  • Press the OK button to proceed.

The default settings for “Export Object” are controlled in the Preferences menu.

Export StudioLine Files

StudioLine images and other objects can be shared with other StudioLine installations. Settings, descriptors and other StudioLine-internal information will successfully transfer.

  • Chose Export StudioLine Files from the File menu.

  • Navigate to the StudioLine image, image archive folder or page that you wish to export and press OK.

  • In the Export panel, navigate to a target folder and enter a file name.

  • Press the OK button to proceed.

To import StudioLine files, choose that option from the File menu.


StudioLine Explorer

StudioLine’s own Explorer is a key component that enables many of the advanced capabilities of the software. It functions similar to the familiar Windows Explorer, providing access to different classes of objects: the files on your computer and local network as well as on StudioLine-internal objects.

Opening the Explorer

Many StudioLine features, such as the import, rely extensively on the Explorer. They will open it as necessary and immediately display the appropriate class of objects.

Here are only the most common ways, how you would directly open the StudioLine Explorer on your own:

  • From the File menu choose “StudioLine Explorer”. It will display the object class selection.

  • On the toolbar, click on one of three Explore… buttons to display the respective object class.

Multiple Explorer windows may be opened simultaneously, allowing for drag and drop operations between the folders in different windows.

Understanding the Explorer

The StudioLine Explorer employs three panes.

  • A function pane with command buttons.

  • A folder pane to navigate, access and manipulate objects class and folders.

  • A content pane to view, access and manipulate objects or files in the current folder. Use the View button on the function pane to toggle between different displays.

Where applicable, dragging an object from the folder or content pane to the trashcan will delete it. For a list of other supported actions, click the right mouse button on object to open its context menu.

For an in-depth explanation of the StudioLine Explorer panel and the different object classes, refer to the Reference Guide.


Page Editor

With StudioLine, you can turn your portfolios into web-enabled galleries. Use the Page Editor to customize, preview and publish the gallery pages.

Creating Web Gallery Pages

Web Galleries are created by merging images into one of the gallery styles provided with StudioLine.

  • Switch to Image Archive mode.

  • Navigate to a folder containing the images or shortcuts to be included in your gallery.

  • Select individual images and shortcuts or the entire folder.

  • Choose Create Gallery from the File Menu.

After choosing a style and a name, StudioLine will generate gallery pages and open the gallery’s index page in the Page Editor.

For an illustrated introduction on web galleries and step-by-step instructions how to create one, use the QuickStep function Web Gallery.

Accessing Pages

A web gallery typically consists out of an index page and at least one image view page for each picture.

You can use the StudioLine menu bar to open individual pages in any gallery:

  • Choose Open from the File menu.

  • To open the index page for a gallery, double-click on the gallery.

  • To open one of the image view pages, open the “$Sub” folder, navigate to the gallery and image view level you intend to work on. Then double-click on any of the image views to open it.

Instead, you can simply follow the navigation links to open other pages of the current gallery:

  • From the index page, double-click on any image thumbnail to open the respective image view page.

  • From any pages, double-click on any graphical or text links to open the respective target page.

  • From any pages, choose a related page from Navigation menu.

Export Objects

Objects can exported from a page for use in third party applications.

  • Choose Export Objects from the File menu, or open the StudioLine Explorer for My Computer from the toolbar.

  • Navigate the StudioLine Explorer to the desired location for your exported objects.

  • Drag one or multiple objects from the workspace to the target folder in the open StudioLine Explorer for My Computer.

  • In the Export Object As panel, choose the file format and other options.

  • Enter a file name or leave the file name “*” for StudioLine to automatically derive a filename.

  • Press the OK button to proceed.

The default settings for “Export Object” are controlled in the Preferences menu.

Export StudioLine Files

StudioLine pages, images and other objects can be shared with other StudioLine installations. Settings, descriptors and other StudioLine-internal information will successfully transfer.

  • Chose Export StudioLine File from the File menu.

  • Navigate to the StudioLine image, image archive folder or page that you wish to export and press OK.

  • In the Export panel, navigate to a target folder and enter a file name.

  • Press the OK button to proceed.

To import StudioLine files, choose that option from the File menu.


Text_Editor

StudioLine comes complete with a multi-lingual text editor, which integrates smoothly with many popular word processing tools. It is used to edit, replace or reformat any text blocks on your gallery pages.

Editing Text

For illustrated, step-by-step instructions on replacing the sample text on gallery pages, use the QuickStep function Page Editor - Edit.

Otherwise, double-click on any text object and the text ruler and tool bar become visible. Either can be dragged out of the way, if necessary. Sizing handles to the left and right of the text column are available to change the width.

Inserting, replacing, deleting and selecting text is done using standard text processing procedures. (If you are not yet familiar with text processing under Windows, please follow the exercise in the StudioLine tutorial.)

The text editor is closed by clicking elsewhere on the page.

Keyboard and Selection Shortcuts

Del

Delete character at cursor.

Ctrl + Del

Delete word at cursor.

Backspace

Delete previous character.

Ctrl + Backspace

Delete previous word.

Ins

Toggles between Insert and Overwrite mode.

Home

Beginning of line.

End

End of line.

Ctrl + Cursor Up

Beginning of paragraph.

Ctrl + Cursor Down

Beginning of next paragraph.

Ctrl + Home

Beginning of First Paragraph.

Ctrl + End

End of Last Paragraph.

Ctrl + Left

Previous word.

Ctrl + Right

Beginning of next word.

Shift + Cursor keys

Moves the cursor to the appropriate position and selects any text in between.

Ctrl + B

Bold.

Ctrl + I

Italics.

Ctrl + U

Underlined.

Ctrl + Shift + A

Toggle case between three states: lower case, mixed case, all caps.

Ctrl + Click or
Double-Click

Selects the word the text cursor is on. Drag the mouse on the last click to select additional words.

Shift + Click

Selects text block between position of text cursor and position of mouse pointer. Drag the mouse to change the text block.

Shift + Ctrl + Click

Selects text block starting from the full word at the text cursor position up to and including the word at the position of the mouse pointer.

Triple-Click

Selects entire paragraph. Drag the mouse on the last click to select additional paragraphs.

See the appendix for additional keyboard shortcuts that are available system-wide.

Text Editor Functions

Most text editor functions effect a specific text passage. Select an appropriate section of text before clicking a button on the text editor tool bar.
Color

Changes the color of the selected text.
Bold

Makes the selected text bold.
Italics

Changes the appearance of the selected text to italics.
Underscore

Underscores the selected text.
Link

Links the selected text to another page or bookmark.
Alignment

Aligns paragraph left, centered, right, or justifies paragraph to both left and right margins.
Bullets

Inserts a bullet in front of each selected paragraph and indents the text.

The text attributes for the bullet character (such as size and color) can be controlled by the carriage return for this paragraph. Choosing bold or italics will distort the bullet character. The typeface is fixed to the Symbol font.

Note: Bullets will only work for paragraphs with either left or justified alignment.
Search

Search for text in the currently selected area, the entire text object or all text objects of that page.

Search & Replace

Replace text in the currently selected area, the entire text object or all text objects of that page.
Spell Check

Checks text for possible spelling errors.
Language

Associates a language with the currently selected text for spell checking.

Paragraph Properties

The global text properties of a paragraph (such as color or font weight) are stored with the invisible end-of-paragraph marker, which appears as a space behind the last character. They control the appearance of the bullet for bulleted text. However, the font of a bullet is always “Symbol” and underscoring will not apply.

To change the properties or copy and entire paragraph, be certain to include the invisible end-of-paragraph marker in the selection.

Spell Checker

Spelling can be checked using different methods:

  • Global spell check: Choose Spell Checker from the Text menu or the text tool bar.

  • Check spelling as you type: Questionable words are marked with a wavy underscore. (This option can be turned off.)

  • Single check: Click right mouse button over a word. If it is not recognized, a list of alternatives will be offered.

When a questionable word is detected, one can accept suggested alternatives, correct the spelling manually, ignore the word or add it to a custom dictionary.

Languages

Text can be checked in a variety of languages. To associate a different language to a section of text, select the section and press the Language button on the text tool bar. The default language is determined by the operating system. Text that was pasted from a Word Processor will have inherited the originally used language.


Fonts

Most web design tools permit the browser to decide the ultimate display of text. The first problem arises, when the visitor’s computer is missing some of the fonts that the web master is using on the web site. But even if all fonts exist, there is an issue that various browsers and operating systems interpret the same font specifications and HTML tags differently. Height, width, spacing - even the individual character itself is inconsistent. As a result, a web designer can never predict the final appearance of a page.

StudioLine’s text editor has been programmed with extra intelligence to overcome the majority of these inherent incompatibilities. If necessary, it will even generate complex HTML tables to achieve the proper spacing. The resulting text blocks have a consistent appearance in most browsers. However, the extra control elements may limit the usefulness of any text, if web site visitors attempt to copy it from the browser to a word processor.

Choosing Fonts

Care should be taken that only widely available fonts are used on a web site.

Many web site visitors will have access to the fonts supplied with Microsoft Windows. Since Microsoft Office is popular amongst businesses, many users will also have some, if not most, of the fonts supplied with Microsoft Office.

System
Supplied Fonts
Microsoft Windows

Arial, Comic Sans MS, Courier New, Marlett, Symbol, Times New Roman, Wingdings

For a cross reference of fonts included with various applications, see http://www.microsoft.com/typography/fonts/

Apple Macintosh

Chicago, Charcoal, Courier Regular, Geneva, Helvetica, Monaco, New York, Palatino, Symbol, Times

Unix

charter, clean, courier, fixed, helvetica, lucida, lucidabright, lucidatypewriter, new century schoolbook, symbol, terminal, times, utopia

Microsoft Internet Explorer

Andale Mono (formerly Monotype.com), Arial Black, Georgia, Impact, Trebuchet MS, Verdana, Webdings

Netscape Navigator

Bitstream Prima Serif, Bitstream Prima Sans, Bitstream Prima Sans Mono

Generic Fonts

Generic font names will leave the final appearance up to the browser. The system of the web site visitor will choose a font that matches the general classification of the generic font name:

Character Translation

Caveats with Font Names

Some operating systems use the same font names, even though the fonts are indeed different. Sometimes a font name may not even be unique on a single computer: the same font name (e.g., "Symbol") may be shared between typefaces generated with different technologies (TrueType, Bitmap, PostScript). In these cases, the actual font and technology chosen will vary with the font size, operating system and browser. Thus, the same letter in the same font may have a different appearance on different systems. The MacOS will even replace certain characters of the "Symbol" font against entirely different ones.

It is also possible that the same font may be known by slightly different names in various operating systems and their versions. To avoid potential pitfalls, especially with the "Symbol" font, permit StudioLine to render text as graphic.

Caveats with Font Sizes

Various browsers, versions and operating systems apply different factors when displaying a chosen font "size". The actual width of characters, height and spacing between lines and the number of lines needed for a given text block are often unpredictable. This can lead to alignment problems, if underlying imagery requires a portion of a text column to be rendered as graphic. In that case, it may be safest to let StudioLine render the entire text block as graphic.


Linking from Text

Adding links to pages enhances the interactive experience for the visitor. By clicking their mouse on a link, visitors trigger an action that was predetermined by the web master, such as opening a new page or sending email. Links can be associated either with an entire text object, or with individual words or phrases. To draw attention to links, they are highlighted with specific color and font options defined in the Text Link Properties of the Page menu.

Linking from Words or Phrases

To add a link:

  • Open the text editor.

  • Select the word or phrase in the text editor

  • Press the Link button in the text tool bar.

Linking from the Text Object

If the entire text object is to serve as a link, then there is a quicker way:

  • If the text editor is currently open, close it by clicking elsewhere on the page.

  • Click the right mouse button over the text object to open the context menu.

  • Choose Link from the context menu.

Links from word or phrases take precedence over a link defined for the entire object. The object specific link affects only for those words or phrases that have no other explicit links defined.


Text Placeholders

Placeholders may be used anywhere in the text where the value of a descriptor should appear, even in other page or image descriptors. Samples of available descriptors include the title of the page, the caption of a picture or the name of the web master. By using placeholders, the text will always reflect the most current descriptor values.

Inserting a Placeholder

Move the text cursor to the location in the text where the placeholder should appear. Click the right mouse button and select Insert Descriptor from the text editor context menu.

For image descriptors, simply bracket the descriptor name with double percent signs, and use it anywhere in a text block:

Descriptor | Placeholder
Event | %%Event%%

If a placeholder is wider than the text column where it is used, it will wrap into a new line. Text attributes (such as color or font settings) can only be applied to the entire placeholder, e.g., it is not possible to underline or boldface only a portion of it.


Page Options

StudioLine renders your web galleries into HTML code that is understood by web browsers. Certain aspects of the page can be customized.

Background

To fill the page background with a solid color or a tiled image, choose Background from the Page menu.

Page Descriptors

To control the browser’s title bar, provide descriptive information or supply search engine meta tags, choose Page Descriptors from the Page menu.

Scrollbar Properties

To control the appearance of scroll bars in the browser window, choose Scrollbar Properties from the Page menu.


Publishing

Before web galleries can be viewed in a web browser, pages and their content have to be rendered in compatible formats and then transferred to a web server. Pages are rendered using HTML, CSS and JavaScript, images are rendered in JPEG format.

For illustrated, step-by-step instructions on

  • previewing a rendered web gallery, use the QuickStep function Preview.

  • transferring the pages to a web server, use the QuickStep function Transfer.

Refer to the following chapters, if you encounter any problems with the transfer.

Publishing Profile

To manage files on the web server, StudioLine employs the standard File Transfer Protocol (FTP). It allows StudioLine to verify the content on the web server and then upload, replace or delete files, as necessary. An intelligent publishing procedure will confirm that a new or updated page and all its supporting files exist on the server, before it is taken live. Any missing or incomplete files are automatically refreshed. This minimizes any possible downtime.

Before StudioLine can communicate with the FTP server, it requires certain information for the publishing profile.

  • Choose Transfer from the Publish menu to view an empty profile form or the current profile.

  • Contact your server administrator to obtain the correct FTP server settings.

  • Press the Test button to validate the settings.

See the Reference Guide for detailed information about the publishing profile.

Testing the Profile

StudioLine will report the progress for each step of the FTP test. If there is any trouble, then an error message will identify the specific problem.

Step 1: FTP Connection

Message: Connection to Server:Port failed

StudioLine tried to establish a connection to the FTP server at the specified port.

  • Double-check the settings for "FTP Server" and "Port" for accuracy.

  • Make sure that the workstation is currently connected to a network, either through a LAN or a dial-up connection. Try opening a web browser to see if you can reach your ISP’s web site.

  • Attempt to reach the FTP server using the tools provided with your operating system. In Windows, open a Command Prompt, then type "ftp" followed by FTP server name and hit the Enter key. If the connection is refused, then either the server name or port are incorrect, or the server may not be operational at this time.

Message: Invalid Login and/or Password

StudioLine was able to connect to the FTP server, but the login was rejected.

  • Double-check the settings for "Login" and "Password".

  • Many servers require the Login and Password to be properly capitalized. Make sure you are using the correct capital and lower-case letters.

  • After a number of invalid login attempts, many servers will reject any new logins for an extended period of time. If you are certain that you now remember the correct login, you still may have to wait a few hours before retrying.

Step 2: FTP Remote Directory Access

Message: Unable to access Remote Directory

After logging in, StudioLine attempted to switch to or create the Remote Directory without success.

  • Double-check the settings for "Remote Directory".

  • Some FTP servers automatically switch to the proper Remote Directory after logging in. If the value for "Remote Directory" is the same as "Login", then try leaving the "Remote Directory" blank.

  • If the value for "Remote Directory" contains nothing but a single slash “/” or backslash "\", then try leaving the "Remote Directory" blank.

Message: Unable to write to Remote Directory

After logging in, StudioLine attempted to switch to the Remote Directory but was unable to upload a test file.

  • Double-check the settings for "Remote Directory".

  • Some FTP servers automatically switch to the proper Remote Directory after logging in. If the value for "Remote Directory" is the same as "Login", then try leaving the "Remote Directory" blank.

  • If the value for "Remote Directory" contains nothing but a single slash “/” or backslash "\", then try leaving the "Remote Directory" blank.

Step 3: Web Server Access

Message: Invalid Site-Root URL

StudioLine attempted to upload a test file to the FTP server's remote directory and then access it from the web site's root directory.

  • Copy the "URL of the Site-Root" into your browser's address field. If your browser reports a "DNS error" or a "technical difficulties with the web site", then you may need to contact your ISP.
    (Note: Since nothing has actually been uploaded yet, it is expected for your browser to display some error message indicating that the requested page was not found.)

  • Double-check the settings for "Remote Directory" and "URL of the Site-Root".

  • Some FTP servers automatically switch to the proper Remote Directory after logging in. If the value for "Remote Directory" is the same as "Login", then try leaving the "Remote Directory" blank.

  • If the value for "Remote Directory" contains nothing but a single slash “/” or backslash "\", then try leaving the "Remote Directory" blank.

Step 4: Web Server Default Document

Message: Invalid web server default document

StudioLine uploaded a file to the FTP server's remote directory, using the default document name specified in the publishing profile. It was unable to retrieve that document when using a URL without a document name.

The test was repeated with a series of typical default document names (default.htm, default.html, index.htm, index.html) without success.

  • Double-Check the “Default Document” setting in your publishing profile.

  • Contact your server administrator to obtain the correct setting.

If StudioLine can determine the correct default document name automatically, it will update the publishing profile accordingly.

FTP Log

StudioLine generates a detailed daily log file for FTP connections. It is located in the "Logs" folder of the StudioLine directory on your hard disk. Your support personnel may ask you to provide this file to further troubleshoot your publishing profile settings.

Transferring to a Web Server

Once a publishing profile has been set up and tested successfully, the site may be published to the web server.

  • Select Transfer from the Publish menu and click “OK” to close the publishing profile. StudioLine will display the upload the rendered content to the server.

  • Select Browse Web Server to open the current page in your web browser.

Due to StudioLine's multitasking design, it is possible to continue working on other sites or pages while publishing is in progress. Of course, care should be taken not to save any of the same objects that are about to be rendered.

New Content Does Not Show

If a published site does not appear in your browser, try the following:

  • Press the “Refresh” or “Reload” button of your browser.

  • Check with your support personnel, if there is a time delay before updated pages are made visible on the web server.

Last Document Update: 03-Sep-02 17:50


Blurred Text

By changing the default order of image tools, it is possible to blurred text for headlines, backdrops or to overlay images.

  • Add a new text element, choose a large font size and boldface.

  • Type the desired text.

  • Open the Image Toolbox from the Edit menu.

  • Apply the Buttonize and Shadow tool.

  • Set the direction to come from straight above, turn off the buttonize option and set the distance larger than the height of the text element. Choose a low blur factor.

  • The shadow will now appear as a separate entity below the actual text element.

  • Apply the Image Alignment tool.

  • Open the Object Context menu for the text element and select Active Image Tools.

  • Drag the Buttonize and Shadow tool to the first position of the list.

  • In the Image Alignment tool, choose a cut-out area that encompasses only the blurred text.


Storing Type in Image Archive

Text and symbols can be used to create attractive headlines, banners, buttons, bullets and other layout elements.

  • Open the Page Editor.

  • Open the Text Editor and choose any suitable text font or symbol font.

  • Type the phrase or create the symbol.

  • Apply Image Tools such as color, rotate, buttonize, shadow, etc.

  • Select the object and click Copy on the toolbar to copy to the Windows clipboard.

  • Switch to Image Archive mode.

  • Click Paste on the toolbar to store the object in the Image Archive. The image will be created with a transparent background so that it can be used on any page.


Create a Frame Around Text

  • Create the text object.

  • Open the Image Toolbox from the Edit menu.

  • Add a Simple Backdrop to the text object. Match the color of the background and set transparency factor 0.

  • Add a Scalable Backdrop. Set a border width of 1 pixel high and wide, corner radius 0, color black and transparency factor 0.


Crop Multiple Pictures to Same Size

Certain page designs require uniform sizes for multiple pictures on a page. This is easily accomplished in a three-step process: First define an aspect ratio, then define a cut-out area, and finally scale the images to the required size.

  • Select all images requiring the same size.

  • Select Image Toolbox from the Edit menu.

  • Open the Crop tool and enter the desired pixel dimensions. Select the “Fix” option to lock the aspect ratio.

  • Press the Copy button to apply the same pixel ratio to all pictures in the selection.

  • With the Fix option selected, enlarge, reduce or move the cut-out area of the first pictures.

  • Use the picture arrow buttons to access the other pictures in the selection and enlarge, reduce or move the cut-out area for each of the other pictures as necessary.

  • Open the Scale (Absolute) dialog, enter the required image dimensions.

  • Press the Copy button to scale all images to the same physical dimensions.


Combining Objects into a Collage

Sometimes it is advantageous to combine multiple images into one, or to combine text with a logo graphic.

  • Open the Page Editor.

  • Compose the collage by arranging the desired objects on the page.

  • Apply effects, such as cropping, scaling, colorize, soft edges and transparency. (Certain effects, such as shadows and buttonize usually look best when applied later in the process.)

  • Once you are satisfied with your creation, select the objects.

  • Click Copy on the toolbar to copy to the Windows clipboard.

  • Switch to Image Archive mode.

  • Click Paste on the toolbar to store a combined image in the Image Archive.

  • Apply any effects that should act upon the combined image, such as shadows or buttonize. (These effects may also be added after the entire collage is added to a page.)


Globally Remove ALT Text

Certain design elements, such as rulers, logos should not display ALT text in the browser, when the mouse cursor rests over them. Otherwise, it could draw attention away from the primary content of the site.

  • Open the page, layout or template.

  • Select all images on the page that should not have alternate text. (The Ctrl and Shift keys are helpful when selecting multiple objects.)

  • Choose Descriptors from the Edit menu.

  • Select Alternate Text and use the delete key on the keyboard to remove any text.

  • Click the Copy button of the Descriptors panel.


Floating Images

Floating images are graphical objects over a transparent background. This technique is also referred to as images with an "alpha-channel" or a "transparency mask". Generic graphics formats supporting floating images (fully, or to some extent) include TIFF, PNG and GIF. Many proprietary formats will also work.

Importing Floating Images

Stock libraries of floating images are available for purchase. In addition, many graphics tools, including Adobe PhotoShop and Corel Draw, may be used to create floating images. Consult the documentation of your graphics software for ways to apply a mask to an image, or how to use a special tool to trace the edges of an object. Once the object has been isolated from its background, it usually must be pasted on a transparent background. If available, use an anti-aliasing feature to smoothen the edges of the object.

Export the image in a file format that supports floating images and import into StudioLine.

Creating Floating Images in StudioLine

Imagery created in StudioLine can always be used as a floating object.

  • Open the Page Editor.

  • Create a collage of text, simple geometric objects or any other graphics.

  • Use Image Tools such as Buttonize & Shadow, Soft Frame or Rotate which require partial transparency over the background.

  • Select the entire collage, click Copy on the toolbar to copy to the Windows clipboard.

  • Switch to Image Archive mode.

  • Click Paste on the toolbar to store the collage as a floating image in the Image Archive.

  • Optionally, export the image for use in other applications.


Painted Text

Very interesting text effects can be achieved by giving letters the appearance that they have been painted on.

  • Open a page or layout.

  • Place a colorful image on the page.

  • Use the Image Tools to crop the picture to the approximate size of the text.

  • Create a new text object to overlay the image. Choose large, bold font settings

  • Use the Image Tools to add a Scalable Backdrop to the text object. Set a border width of 30 pixels and a corner radius of 0. Choose a color to match your page background, transparency factor of 100.

  • Apply the Invert Mask tool against the text object. Choose the same color as in the previous step, and an intensity setting of 100.

  • Apply the Buttonize and Shadow tool against the text object. This will give your “painted” text depth.

  • Apply the Cropping tool against the text object.

  • Open the active tool list for the text object. Make sure that the cropping tool is on the bottom of the list.

  • Trim off the excess border previously created by the Scalable Backdrop.


Using Image Archive Designs

Creating Navigation Buttons

  • Open a page or layout.

  • Open the StudioLine Explorer for the Image Archive.

  • Browse to the folder “Design\Buttons” to locate a button set to match your taste.

  • Drag any number of buttons to the container for consistent spacing. Arrange the buttons in a logical order and select them all.

  • Choose Image Toolbox from the Edit menu.

  • Use Invert Image if you want to reverse black and white areas of the button.

  • To achieve special effects, experiment with tools such as Emboss and Simple Backdrop. Change the tool order in the Active Tools list and assess the outcome.

  • Open the colorize tool and apply a color.

  • Use the Buttonize and Shadow tool to give your buttons a raised appearance.

  • Finally, drag the buttons to their final location on the page.

  • Choose Position Anchor from the Edit menu if the buttons should maintain a relative position from the container.

Creating a Ruler (Line)

  • Open the Page Editor.

  • Select a rectangular or square image. (You will find basic geometric shapes in the ImageArchive\Designs folder.)

  • Choose Image Toolbox from the Edit menu.

  • Open the Scale Absolute tool.

  • Turn the option “Enlarging Allowed” on, and the option “Maintain Proportions” off.

  • For a horizontal ruler, enter a height of 1 pixel and a width that accommodates the length you need.
    For vertical ruler, enter a width of 1 pixel and a height that accommodates the length you need.

Creating an Ellipsis

  • Open the Page Editor.

  • Select a circular image. (You will find basic geometric shapes in the ImageArchive\Designs folder.)

  • Choose Image Toolbox from the Edit menu.

  • Open the Scale Absolute tool.

  • Turn the option “Enlarging Allowed” on, and the option “Maintain Proportions” off.

  • Enter the desired height and width for your ellipsis.

Creating an Octagon

  • Open the Page Editor.

  • Select a rectangular or square image. (You will find basic geometric shapes in the ImageArchive\Designs folder.)

  • Choose Image Toolbox from the Edit menu.

  • Use the Rotate tool to turn the image 45 degrees

  • Use the Image Alignment tool to turn the image back 45 degrees. (Watch the image on the page – it should appear perfectly horizontal.)

  • Crop all four sides evenly.

Last Document Update: 07-Nov-01 01:29


File Menu

StudioLine Explorer

The StudioLine Explorer provides access to sites, pages and related objects, the image archive, as well as the files on your computer and local network.
StudioLine Explorer Panel

Insert Submenu

Assists with placing objects on the work space and displays a panel with hints. If hints do not appear, select Show All Hints from the Help menu.

Image from My Computer

Opens the StudioLine Explorer. Locate the image on your computer and drag it onto the page.

Note: To view your desktop or network folders, use the button “Up One Level” as necessary.

Open

Opens an existing document.

There will be a prompt, if the workspace contains unsaved changes.

Recently Used

Displays a list of the most recently used documents for the current mode. To open, choose a document from the list.

Save

The document will be saved to disk.

In Page Editor mode, StudioLine will automatically save the work every 2 minutes. After an abnormal termination, the user will be offered to revert to the last saved version.

Ctrl+S

Import Submenu

Load Images

Opens the StudioLine Explorer. Locate an image on your computer and drag it onto the StudioLine workspace or an Image Archive folder.

Note: To view your desktop or network folders, use the button “Up One Level” as necessary.

StudioLine File

This function permits exchanging of StudioLine files between different users or workstations. The StudioLine Explorer opens. Locate a file that was previously exported by StudioLine. They can be recognized by their file extensions:

  • .SLI – Image archives. May contain several images.

  • .SLD – Layout templates. Includes any images used.

  • .SLG – Single page. Includes the layout and any images used.

  • .SLX – Group of pages. Includes associated layouts and any images used.

  • .SLS – Sites. Includes pages, publishing profiles, layouts and images.

If the imported objects already exist, StudioLine will offer to replace the existing objects, to rename the imported objects, or to skip these objects.

Export Submenu

Objects to Files
Images to Files

This function allows third-party text and graphics applications to use content maintained by StudioLine.

  • The StudioLine Explorer opens.

  • Browse to the folder where you would like the exported files to be stored.

  • Drag a StudioLine text or image object to the folder in the StudioLine Explorer.

  • Choose a file format and optional settings.

Export Object As Panel

StudioLine File

This function permits exchanging of StudioLine objects between different users or workstations.

User Guide: Import and Export

Image Viewer / Slide Show

Allows manual or automatic browsing (slide-show) through currently selected images.

Image Viewer

Create Web Gallery

Arranges the selected images in a gallery for use on a website.

Web Gallery Panel

Send Images via Email

Creates a new message in the default email software configured for your computer (if any). Any images selected on the StudioLine workspace are enclosed as attachments.

Note: If no compatible email has been configured on your computer, use the function “Export Object/Images to Files” to export the images to your desktop instead. Then follow the instructions of your email software on how to attach these images to a new message.

Send Images via Email Panel

Print Spooler

Collects and formats images for quality printing.

Print Spooler Panel

Print Images

Adds the selected image(s) to the print spooler.

New Instance

Creates another instance of StudioLine.
Permits working on multiple documents or objects side by side, as well as drag and drop operations between different StudioLine modes or StudioLine sites.

Exit

Exits StudioLine.


Edit Menu

This menu contains object specific functions.

Image Toolbox

A collection of image enhancements and special effect tools.
Image Toolbox Panel

Active Image Tools

Displays a list of image tools that have been applied against the selected object, if any.

  • Click the right mouse button on any tool listed, to access the context menu.

  • Click the left mouse button on any tool, or choose Open from the context menu, to view the specific settings.

  • Drag a list item to change the sequence in which the tools are applied.

  • Drag a list item to the Trash Can, or choose Delete from the context menu, to stop using this tool on the selected object.

  • Open the Image Toolbox to apply additional tools.

  • Use the Copy/Override button to apply the same settings against other objects. The copied active tools list will replace any settings that may have previously existed.

  • Drag the Copy/Override button to the Trash Can to eliminate all image processing for the selected object.

Roll-Over Mode

Each object can have a second, distinct list of active tools. The second list is used in rollover mode. Use the Rollover button on the tool bar to toggle the page view between normal mode and rollover mode.

Undo

Takes back the last action.

The undo stack remembers any actions performed in the current StudioLine mode since the last time the file was saved.

Ctrl+Z

Redo

Performs the action for which "Undo" was previously chosen.

Ctrl+Y

Cut

Moves the current selection to the system clipboard.

Ctrl+X

Copy

Copies the current selection to the system clipboard.

Ctrl+C

Paste

Pastes the content of the system clipboard.

Select All

Selects all objects.

Ctrl+A

Selection

Displays the list of all selected objects, if more than one. The left mouse-button can be used to manipulate the elements of the list.

  • Click on an item to select that object.

  • Ctrl + Click to toggle the selected state.

  • Double-click a text item to open the text editor.

  • Right-click an item to view the context menu of the currently selected object(s).

The selection list can be useful to pick specific objects out of a stack of layered objects.

Choose Color

Sets a color for selected elements or tools.
Choose Color Panel

Link

Defines a link for selected objects.
Link Properties Panel

Image Quality

Sets image quality and file size by controlling image compression.
Image Quality Panel

Descriptors

Assigns descriptive information to selected objects.
Descriptors Panel


Page Menu

This menu groups the settings, which are specific to an entire page or layout. For layouts with image views, each image view level maintains unique settings. Changes made to any level (including the "Page" level) will not effect any other image views.

Background

Fills the background with a solid color or by tiling an image.
Background Panel

Page Descriptors

Page Descriptors Panel

Scrollbar Properties

This setting controls, whether a vertical and/or horizontal scrollbar is displayed in the browser window.

Show as necessary

An appropriate scrollbar will appear if the height or width of the document is larger than the browser window.

Show always

Scroll bars are displayed, even if the complete page fits in the browser window.

Show never

No scrollbars are displayed, even if the complete page does not fit in the browser window. Some content of the page may not be visible.

Controlled by browser

With this option, StudioLine does not set any explicit scrollbar options. The appearance of scrollbars is ultimately controlled by browser defaults or a script.


Text Processing Menu

Edit Text Object

Opens the editor for the selected text object.

Font Properties

Sets properties for selected text inside a text element.
Font Properties Panel

If a new text object is being created while the Font Properties panel is open, then the current font properties will be used as default settings.

Search

Search for text in the currently selected area, the currently open text editor window or all text objects on the page.

Search and Replace

Replace text in the currently selected area, the currently open text editor window or all text objects on the page.

Spell Checker

Checks for possible spelling errors inside the currently open text editor window or in all text objects on the page.

User Guide: Text Editor


Publish Menu

Before a web gallery can be viewed with a browser, it needs to be converted to a compatible format and transferred to a web server.

Render

Renders the current web gallery to browser compatible HTML documents and graphics files, and stores them on a local drive for preview.

During the render process, a progress bar estimate the time to completion, based on the number and size of pages and objects.

F7

Transfer

Copies the current web galleries from the local drive to the web server.

StudioLine will open the Publishing Profile Panel. Enter and test your server information, then click on OK. The web gallery will then be published.

If pages were deleted from the site, then the appropriate files will be removed from the server.

Note: This function requires some network connection to the server, e.g., via the Internet or a LAN.

F8

Browse Preview

Opens the browser to preview the rendered web gallery from the local drive.

Browse on Web Server

Opens the browser to view the current web gallery on the web server.

User Guide: Publishing


Navigation Menu

Clicking elements in a browser window would activate any link and display the linked-to page. In StudioLine, however, clicking an object will select it so that it may be manipulated.

The navigation menu will open pages that are linked to the current page.

Home

Open the home page defined for the site.

Site Settings Panel

Index

In a page that is part of an automatically created page hierarchy, the function will open the topmost page of the hierarchy.

Up

In a page that is part of an automatically created page hierarchy, the function will open the parent document in the higher level of the hierarchy.

Next Page / Previous Page

In a page that is part of an automatically created page hierarchy, the function will open the next or previous page on the same level of the hierarchy.

First Page / Last Page

In a page that is part of an automatically created page hierarchy, the function will open the first or last page on the same level of the hierarchy.

Automatic Forward

In a page with an automatic forward, the function will follow the forward.


Preferences Menu

Image Archive

Controls the pre-processing of pictures to be stored in the Image Archive.

Image Archive Preferences Panel

Image Archive Background

Controls the background colors in the Image Archive content pane.

Image Archive Background Panel

Image Rendering

Defines the initial quality settings for new images and text graphics.
Image Rendering Preferences Panel

Mailing Images

Defines the default settings used when images are sent via email.

Mailing Images Preferences Panel

Export Object

Defines the default settings used when images are exported for use by other applications.

Export Object Preferences Panel

Print Settings

Defines the default settings used when printing images.

Print Preferences Panel

Customize Toolbar

Select, which toolbar palettes to show.

Show QuickStep Bar

Select, which toolbar palettes to show.

System Language

Choose the language used by StudioLine.

During setup, StudioLine will adhere to the language setting of the operating system.


Help Menu

Help

Opens the StudioLine help.

F1

Tutorials

Opens a list of available tutorials.

Tutorials that haven’t been installed during setup can be installed from CD or downloaded from the web here.

Show All Hints

Certain StudioLine hints can be suppressed by the user. Select this function to start displaying all hints again.

About StudioLine

Displays the StudioLine banner.

Version

Displays the product version and build number, as well as the location of the StudioLine log file. Product support personnel may ask for this information.

Product Activation

Enter the product registration code your received when you purchased the product.

StudioLine Website

Opens your browser to the StudioLine website.

Contact H&M’s Customer Service

Prepares an email to H&M customer service. The email contains a couple of logfiles as attachments which might help us determine any problems you might encounter while using StudioLine.


Page Context Menu

Web Gallery Context Menu

The Web Gallery Context menu appears after clicking the right mouse button over the background of a web gallery.

A context menu will contain different choices, based on the current circumstances. Only some of the following menu items will appear at any one time.

Copy

Copies the current selection to the system clipboard.

Ctrl+C

Selection

Displays the list of all selected objects, if more than one. The left mouse-button can be used to manipulate the elements of the list.

  • Click on an item to select that object.

  • Ctrl + Click to toggle the selected state.

  • Double-click a text item to open the text editor.

  • Right-click an item to view the context menu of the currently selected object(s).

The selection list can be useful to pick specific objects out of a stack of layered objects.

Hide Selector Bands

Toggles the display of selector bands around selected objects.

Selector bands will reappear, if any object is being selected.

Ctrl+H


Image in Image Archive Object Context Menu

Object Context Menu

The Object Context menu appears after clicking the right mouse button over an object, or after selecting an object and then pressing Alt+Enter or the special Context Menu key on the Windows keyboard.

A context menu will contain different choices, based on the current circumstances. Only some of the following menu items will appear at any one time.

Descriptors

Descriptors Panel

Copy

Copies the current selection to the system clipboard.

Ctrl+C

Follow Link

If an element has a link to a page in the current site, that page is opened in the Page Editor.

Reload Source Image

Reloads the graphics file, which originally had been imported into StudioLine. If available, StudioLine will look for the file in its original location. If the file is not found and if only a single image is currently selected, then the user will be offered to browse for the file.

This function can improve image quality whenever a small section of an image was first cropped and subsequently enlarged. The reload function retrieves the original graphics file and stores the cutout area in the highest resolution permitted by the Image Archive Preferences. In case of Kodak Photo CDs, the most suitable resolution will be loaded.

Reloading may also be used to restore a lost image. Images that somehow were lost inside StudioLine would appear in StudioLine with a special icon instead of the actual picture. The reload function offers a way to address this situation.

Image Viewer / Slide Show

Allows manual or automatic browsing (slide-show) through currently selected images.

Image Viewer

Export

This function allows third-party text and graphics applications to use content maintained by StudioLine.

Export Object As Panel

Send via Email

Creates a new message in the default email software configured for your computer (if any). The selected images are enclosed as attachments.

Send Images via Email Panel

Selection

Displays the list of all selected objects, if more than one. The left mouse-button can be used to manipulate the elements of the list.

  • Click on an item to select that object.

  • Ctrl + Click to toggle the selected state.

  • Double-click a text item to open the text editor.

  • Right-click an item to view the context menu of the currently selected object(s).

The selection list can be useful to pick specific objects out of a stack of layered objects.

Hide Selector Bands

Toggles the display of selector bands around selected objects.

Selector bands will reappear, if any object is being selected.

Open in Image Archive

Opens the original image in Image Archive mode.


Settings Panel Context Menus

These context menus appear when pressing the right mouse button on the Copy or Lock buttons of the panels for image tools, descriptors and other object specific settings. The Copy and Lock buttons are used to copy settings from a source object to one or multiple target objects.

Copy Button

This button changes to red color when the settings in the panel are different from the settings for the selected object(s).

Copy Settings

Copies the settings from the respective panel to all selected target objects.

This is equivalent to clicking the left mouse button on the Copy button.

Reset Settings

This function discards the settings.

This is equivalent to dragging the Copy button to the Trash Can.

Note: Some panels have settings that cannot be reset, e.g., in StudioLine a background will always have “some” color – even that color is plain white.

Delete from Active Image Tools List

This function removes the image tool from the Active Tools list. Any settings related to this panel are discarded.

This is equivalent to dragging the Copy button to the Trash Can.

Help for this Button

Displays the help topic you are currently reading.

Help for this Panel

Displays the help topic for the respective panel.

Lock Button

This button changes to red color, when the panel settings have been “locked”.

Lock Settings on Original Selection

Normally, the settings displayed in the panel always reflect the currently selected object.

When trying to copy settings from one “source” object to other “target” object or objects, it can be helpful to first “lock” the settings on the “source” object, before selecting the target objects. This way, the settings will not change the moment the target objects are selected.

This function is equivalent to clicking the Lock button with the left mouse-button. Repeated clicking will toggle the “Lock” function on and off.

Help for this Button

Displays the help topic you are currently reading.

Help for this Panel

Displays the help topic for the respective panel.

Using the Copy and Lock Buttons

Copy Settings by Extending Selection

  • Select the source object (that has the settings you wish to copy).

  • Hold down the Ctrl key while selecting additional objects.

  • Click the “Copy” button to apply the same settings to all objects.

Copy Settings by Dragging the Button

  • Select the source object (that has the settings you wish to copy).

  • Drag the “Copy” button to a target object. The settings will be applied to this object.

Lock and Copy Settings

  • Select the source object (that has the settings you wish to copy).

  • Click the “Lock” button to freeze the settings based on the source object.

  • Select target object(s).

  • Click or drag the “Copy” button to apply the settings to the target object(s).

Discard Settings

  • Select the source object (that has the settings you wish to discard).

  • Drag the “Copy” button to the trash can, or select “Delete from Active Tools list” or “Reset Settings” from the context menu of the “Copy” Button.


Text Editor Context Menu

Cut

Moves the current selection to the system clipboard.

Ctrl+X

Copy

Copies the current selection to the system clipboard.

Ctrl+C

Paste

Pastes the content of the system clipboard.

Ctrl+V

Insert Descriptor

Inserts variable information into text.

Insert Field Panel

Toggle Case

Toggles the case between three states: all caps, lowercase, mixed case.

Ctrl+Shift+A

Link

Link Properties Panel

Follow Link

Select a linked object in the text editor. Then use this function to open the target page.

Suggestion

This menu item is displayed, if the current word was rejected by the spell checker.

Choose this function to display a list of similar words.

Ignore Always

This menu item is displayed, if the current word was rejected by the spell checker.

Choose this function to ignore all occurrences of this word in the text. Other occurrences in the same text will not be rejected.

Add

This menu item is displayed, if the current word was rejected by the spell checker.

Choose this function to add the rejected word to the custom dictionary. Future occurrences of the word in the current language will not be rejected.

Spell Check

This menu item is displayed, if the current word was rejected by the spell checker.

Choose this function to open the spell check panel to access further options.


Image Archive Context Menu

The context menu appears after clicking the right mouse button over the image archive workspace.

Paste

Pastes the content of the system clipboard.

Ctrl+V

Insert Image from My Computer

Opens the StudioLine Explorer. Locate the image on your computer and drag it onto the page.

Sort by…

Images may be sorted by any of the assigned descriptors. Placeholders will be resolved before sorting. (Choose Descriptors from the Edit menu to assign descriptor values to an image.)

Note: The sort criteria for a folder will be remembered. New images will be inserted at the proper location.

Image Titles

Images in the Image Archive can display one or more descriptors as their caption.

Object Status

Controls the display of icons representing the object status.

Object Status Icons

Ctrl+G

Display Options

Controls the spacing and alignment of preview (thumbnail) images on the workspace.

Image Archive Background

Controls the background colors in the Image Archive content pane.

Image Archive Background Panel

Preview Dimensions

This setting defines the maximum height and width with which images will be previewed in the current folder. Smaller images will be previewed in their original size.

Image Viewer / Slide Show

Allows manual or automatic browsing (slide-show) through currently selected images.

Image Viewer

Create Web Gallery

Arranges the selected images in a gallery for use on a website.

Web Gallery Panel


Work on Pages

This startup panel appears when StudioLine Photo Edition is started.

Open Page…

Use this option to resume with the same page you had most recently worked on.

Open Existing Page

This will show a list of pages, you previously had saved. Select the page you wish to resume working with.

Create Page

This will create a new page with a web gallery for your images.


StudioLine Explorer Panel

StudioLine Explorer

The Explorer provides access to files on your computer and local network, as well as StudioLine-internal objects. See the Users Guide for an introduction on the StudioLine Explorer.

The StudioLine Explorer employs three panes.

Function Pane

The function pane has a series of command buttons:

Search

Allows searching of StudioLine internal objects by a combination of criteria.

When displaying My Computer or My Desktop, this command allows direct switching to a different path.

Switch View

Toggles the content pane between:

  • Text View – a list of object names only.

  • Thumbnail View – thumbnail images or icons.

  • Combination View - a listing of a thumbnail image or icon, name and (if available) certain properties per each object.

New Folder

Creates a new folder in the folder pane.

Up One Level

Navigates the folder pane to the parent folder.

Folder Pane

Use the folder pane to navigate, search, access, rename and delete folders, if that action is supported for the current class of folders.

  • To view the content of a folder, single-click the left mouse button on the folder’s icon.

  • To view a list of subfolders, double-click the left mouse button on the folder’s icon.

  • To delete a folder, drop it into the trashcan.

  • To view the parent folder, click the “Up One Level” button.

For a list of other supported actions, access the context menu by clicking the right mouse button over the folder’s name.

Content Pane

The content pane shows the objects of the current folder in one of three distinct views. Use the Switch View button on the function pane to toggle between views:

  • Text View: a list of object names only

  • Thumbnail View: thumbnail images or icons

  • Combination View: a listing of a thumbnail image or icon, name and (if available) certain properties per each object.

Depending on the class of objects shown in the content pane, you may be able to perform various actions against these objects:

  • To delete an object, drop it into the trashcan.

  • To view the context menu listing all supported actions, click the right mouse button on object.

For details about each object class and the supported actions, see the following sections.

My Computer
My Desktop

“My Computer” displays files on local and network disks. To view desktop and network folders, press the “Up One Level” button as necessary.

“My Desktop” displays folders, files and system objects that appear on the Windows desktop.

Viewing Images or Slide Shows

Click the right mouse button on an image to open the context menu. Select Image Viewer to view a large scale picture or to configure a slide show for the current folder.

Image Viewer Panel

Adding Images to StudioLine

Double-click a graphics file or drag it onto the workspace to pre-process the image in accordance with the preference settings. Depending on the active StudioLine mode, the image is then added either to the current page, the Layout or the Image Archive.

Image Archive Preferences Panel

Note: The standard Windows Explorer may be used instead.

Exporting to Other Applications

Drag an image from the StudioLine workspace to the content pane of the desired local or network folder to open the Export As panel.

Export As

Image Archive

Displays images in the Image Archive.

  • Double-click an image to open the Image Viewer.

  • Some web gallery layouts allow to exchange a background image. To do that, just drop an image onto the exchangeable background image.

  • In Image Archive mode, move an image to the current folder by dragging it onto the workspace.

  • Drop a graphics file into the Explorer's content pane to add it to the image archive.

  • Move an image archive folder by dragging it to a new location in the image archive content pane.

  • Drop an image into the trashcan to delete it.

  • Click the right mouse button on a user folder to rename or delete it.

  • Click the right mouse button on an image to access its context menu with additional functions.

Pages

Displays pages.

  • Double-click a page to open it in the StudioLine editor.

  • Drop a page into the trashcan to delete it.

  • Click the right mouse button on a file to preview, rename, edit or open it.

  • Move a folder by dragging it to a new location in the same or a secondary Explorer window.

  • Click the right mouse button on a user folder to rename or delete it.


Send Images via Email Panel

Send Images via Email

Image Size

For large images, choose the maximum dimensions that the image should be scaled down to. You may also opt to email the picture in its full size.

Proportional Scaling Panel

Note: Images used in pages or templates are often scaled and cropped. If necessary, locate and email the original image from the image archive.

Format

Choose from one of the most common picture formats.
Note: JPEG is widely used and reduces the size of email attachments.

Image Quality

Choose a quality setting that delivers an acceptable file size and quality.

Image Quality Panel

Note: This option is not available for all file formats.

With Transparency

Select this setting to maintain the transparency information with the images.
Note: This option is not available for all file formats.

Message Size

Displays the estimated size of the email message. Many mail accounts can only receive messages up to a predetermined size (typically a few MB).

QuickSteps: Email


Export As Panel

Export As

Specify options for sharing objects with other applications.

Collage /
Single Files

Multiple images may be exported as a single graphic file in their current layout (a collage), or as individual image files.
Note: Available only if exporting from Page Editor or Layout.

Roll-Over Pictures

When exporting images from a page, they will be either shown with rollover mode on or off, based on the current setting on the Tool Bar.
Choose this option to export both versions of an image.
Note: Available only if exporting from Page Editor or Layout.

Include Image Views

A page may contain thumbnail images which link to image views with larger or full-size versions of that image. Choose this option to include the image versions from all image view pages.
Note: Available only if exporting from Page Editor or Layout.

Image Size

For large images, choose the maximum dimensions that the image should be scaled down to. You may also opt to export the picture in its full size.

Proportional Scaling Panel

Note: Available only if exporting from Image Archive.

Format

Choose a file type supported by your other applications.
Text elements may be exported either to a graphics file or in a number of text formats.

Image Quality

Choose a quality setting that delivers an acceptable file size and quality.

Image Quality Panel
Note: This option is not available for all file formats.

With Transparency

Select this setting to maintain the transparency information with the images.
Note: This option is not available for all file formats.

File Name

Enter a file name to help you identify the exported file. StudioLine will add a sequence number to the name, if more than one file needs to be created.

A file name of “*” will instruct StudioLine to derive a file name from the name of each image.

Note: Do not enter a path or a file type. The path is determined by the current folder in the StudioLine Explorer, the file type is determined by the chosen Format.


Proportional Scaling Panel

Proportional Scaling

Reduces large images to the maximum dimensions specified, while maintaining the aspect ratio (width to height proportions).

Use Original Image Size

This option turns off scaling.

Max. Pixel Dimensions

Choose one of the common image dimensions, or choose to specify your own width and height.

Width / Height

Choose the maximum width and height that the image will not exceed.


Web Gallery Panel

Web Gallery

The gallery will have an index page with small thumbnail images, which links to detail pages showing each image in regular size. Navigation buttons make it easy for visitors to browse through the gallery.

Styles

Select a thumbnail style.

Preview

Displays a preview of the index page design.

QuickSteps: Web Gallery


Print Spooler Panel

Print Spooler

The print spooler maintains a list of images to be printed.

To add an image to the spooler, drag it from the windows desktop, the Windows Explorer or from StudioLine to the Print Spooler panel. In the Image Archive, you can choose Select for Printing from the Object Context menu or press the Print button on the QuickStep bar.

To remove an image from the spooler, drag it to the trash can.

Context Menu

Right-click an image in the spooler to access its context menu.

Image Viewer
/ Slide Show

Allows manual or automatic browsing (slide-show) through currently selected images, using any print settings that were specified for each.

Image Viewer

Create Duplicate

Creates a duplicate of the selected image. This way, the same image can be printed multiple times, each with different settings.

Prints per Image

Choose the number of times the selected images should be printed.

Note:.If multiple copies of all images are needed, then it is quicker to set the Copies per Page in the final Print panel.

Print Settings

Controls the printed appearance of the selected images.

Print Settings

Print

Prints the selected images.

Delete

Deletes the selected images from the spooler.

Function Buttons

Switch View

Choose how images are listed:

  • Text View - displays image names

  • Thumbnail View – displays thumbnail images

  • Detail View - displays thumbnail images, names and settings

Additional buttons provide quick access to the functions in the context menu.


Print Settings Panel

Print Settings

Cropping Tool

Use the cropping blades or the diagonal corner handles to define the cutout area to be printed.

Click inside the cutout area, then drag the hand cursor to move the cutout without changing its dimensions.

Use the appropriate “Lock” button next to the Image Size and the Resolution settings to control which one will remain fixed during cropping.

Note: If the Aspect Ratio is locked, then the movement of horizontal and vertical cropping blades is coordinated to maintain the image proportions.

Navigation

Click the forward or backward arrow to browse to other selected images.

Image Size

Choose one of the common picture formats.

Rotate 90°

The image will be rotated by 90° for printing.

Note: The display of the image will not change, only the orientation of the image on the printed page.

Background Color

This color will be appear on the unused areas of the printed page and in any transparent areas of the images.

Image Size

Displays the size of the printed image.

To maintain the image size while cropping, use the “Lock” button to fix the size. StudioLine will adapt the resolution as necessary.

Aspect Ratio

Displays the printing proportions.

To crop the image to custom proportions, use the “Lock” button so that the aspect ratio is not fixed.

Resolution

Displays the print resolution.

To maintain a given resolution while cropping, press the “Lock” button to fix the resolution. StudioLine will adapt the image size as necessary.

Note: For optimal results, StudioLine may make minor adjustments to the print resolution.

QuickSteps: Printing


Choose Printer

You have chosen an option that is printer specific. Choose a printer and configure any relevant hardware options.

Available Printers

Choose the desired printer from the list.

Settings

This option will access the settings specific for the selected printer hardware.


Print Panel

Print

Printer

Choose a printer.

Printer Settings

Displays the Windows settings for the chosen printer, allowing you to control hardware specific options, such as paper size.

Print All /
Print Selected

Choose to print only the selected images or all images in the spooler.

Note: This option defaults to “Print All” if no images were selected.

Copies per Page

Choose the number of copies per page.

Crop Marks

Prints crop marks for each image for easier cutting.

Print Preview

Generates a preview of the printed pages.

Images per Page

Choose to fit as many images as possible on a page, or specify a maximum number.

Optimize Utilization

This option will optimize paper utilization.

Images will be ordered and aligned so that a minimum number of pages are printed.

Center on Page

Centers images on the page.

Optimize Quality

Adapts the print resolution based on the capabilities of the printer driver. This optimizes print quality.

QuickSteps: Printing


Print Preview Panel

Print Preview

Generates a preview of the pages that are ready to be printed.

Scaling Factors

Choose a suitable scaling factor for the preview.

Full-Screen Mode

Displays the preview using the entire computer screen.

Note: Press the Esc key to return to the normal, windowed mode or choose Exit from the Context menu.

Caption

Displays the current page number and total number of pages.

You may drag the caption to a suitable position no the screen.

(Only visible in full-screen mode)

Button Bar

The VCR style buttons allows browsing through the pages.

The print button sends all pages to the printer.

The exit button will return from full-screen mode to the normal windowed preview.

(Only visible in full screen mode)

QuickSteps: Printing


Page Descriptors Panel

Page Descriptors

Descriptive information can be associated with each page. System Descriptors are needed by web browsers, search engines or internally by StudioLine. All Descriptors can be used to replace placeholders (variables).

Page Specific System Descriptors
Title

This text is displayed in the title bar of the web browser and displayed by the search engines.

Default: %%PageTitle%%

Author

Name of the person who developed the page.

Default: %%RegisteredUser%%

Description

Narrative description of the page contents, primarily used by search engines. Should be limited to 200 characters.

Keywords

A comma separated list of key words and phrases, which are appearing on the page or are relevant to the content. Keywords are used by search engines. They should be limited to 1,000 characters and entered in lower case.

Copyright

Copyright notice.

Example:

Title

StudioLine - Features and Benefits

Author

Jim Smith

Description

StudioLine allows creative freedom in web page layout. No knowledge of HTML or scripting languages is required. It integrates all image editing functions directly in the web page editor.

Keywords

studioline, h&m, software, web, site, page, editor, fast, easy, creative, attractive, imaginative, layout, appearance, template, absolute, position, dynamic, html, dhtml, http, script, code, image, photo, graphic, editing, filter, special, effect, thumbnail, gallery, level, jpg, gif, jpeg, compression, superior, quality, roll-over, buttons, placative, banners, browser, server, ftp, publish, export, import, links

Copyright

2002, H&M Systems Software, Inc.

Appendix: Page Descriptors


Image Viewer Panel

Image Viewer / Slide Show

Scaling Factors

Choose a specific scaling factor, or choose “Scale to window size” to automatically enlarge or reduce the image as necessary to the size of the Image Viewer.

Choose “Shrink to window size” to limit the scaling factor to maximum of 100%. A small image that already fits inside the viewer will not be enlarged; a large image will be reduced as necessary.

Full Screen Mode

Instructs the Image Viewer to use the entire screen size.

Use the Esc key to return to normal windowed mode or choose Exit from the Context menu.

Slide Show Controls

VCR style buttons to start, pause or stop a slide show, or to view the first, previous, next or last picture of the show.

Configure Slide Show

Configure Slide Show Panel

QuickSteps: Slide Show


Configure Slide Show Panel

Configure Slide Show

Content

Choose the picture source:

  • “Selection” will include any images currently selected from the work space.

  • “Current Folder” will include any images in the currently selected folder.

  • “Current Folder and Subfolders” will include images in the currently selected folder and its subfolders.

Folder options are only available from Image Archive and StudioLine Explorer.

Delay

Defines the amount of time that each picture will appear, before the switching to the next one.

Repeat Options

  • “Continuously” will run the slide show until stopped by the viewer.

  • “Play Once” will stop the slide show after reaching the last picture.

  • “Play Repeatedly” will run the slide show a specific number of times.

Number of Repeats

Defines the number of times that the slide show will repeat.

Order

Defines the order in which the pictures are shown.

Background Color

Choose a color.

Show Descriptor

Choose a descriptor that should be displayed alongside the image in full-screen mode. Once the descriptor appears, simply drag it to any convenient location.

Control Buttons in Full-Screen Mode

Choose this option to display the slide show control buttons while in full-screen mode.

QuickSteps: Slide Show


Background Panel

Background

The background can be solid color or a tiled image. For a new page, the background is determined from its Layout. A unique background for each page can be defined in the page editor.

Preview

Drop an image to the preview. It will be tiled to create a background.

If the intended background image has transparent areas, choose a solid color background before adding the image.
Setting the Background

Solid Color

Choose a solid color background.

Render at Ultimate Position

This option only applies to backgrounds using a tiled image.

It forces StudioLine to render images over the background at the exact position where they ultimately will appear in the browser.

Choosing this option may be necessary for certain background patterns. In exchange, it may lead to potentially higher disk space needs, longer publishing times and slower loading pages.
Setting the Background

There is no way to eliminate all background settings. Every page must have either a solid color or image background.


Publishing Profile Panel

Publishing Profile

The publishing profile contains information about the computer that the site will be published to. This information is readily available from the web master at the hosting provider or ISP.

After setting up a Publishing Profile, use the Test button to validate the settings.

FTP Server

The name or IP address of the FTP server.

Example: Publish.ArgosWeb.net or 127.0.0.1

Port

The FTP port on this server.

Default: 21

Proxy Server

The name or IP address of the proxy server.

This field should be left blank for most workstations with a telephone or cable connection to the Internet.

Some corporate networks employ proxy servers to secure or buffer certain Internet traffic. A network administrator would be able to provide the necessary settings.

Default: - blank -

Passive Mode

If selected, StudioLine will connect to the FTP server using PASV mode. Some corporate networks employ firewalls, which require passive mode connections.

Login / User

The FTP User ID assigned by the web-hosting provider.

Password

The password for the User ID assigned by the web-hosting provider.

Remote Directory

The directory on the FTP server where the site should be published to. The declared home page of the site will be uploaded as the default page into this directory.

For the most basic setup, the root directory of the FTP server is also the root directory of the web server. In that case, the remote directory can be left blank (the "login" directory).

Some servers use a subdirectory such as "httpd", "wwwroot", "web" or "pages" on the FTP server as the root directory for the web server. Others use the UserID as a subdirectory, such as "~username". The name of the appropriate subdirectory, if any, must be specified as the remote directory.

Default: - blank - (the "login" directory)

Maximum Concurrent Connections

StudioLine uses multiple concurrent connections to the FTP server to reduce overall publishing time. Some servers have a limit of how many connections can be established in total. To avoid blocking other uses from also accessing the same server, a maximum number for StudioLine can be set.

URL of the Site’s Root

The web address (URL) that an Internet User would have to enter to reach the root directory of the published site. If the StudioLine site is used to create a web site's home page, then enter the URL of the web site.

After successful publishing, StudioLine automatically opens a web browser window for this URL.

Default Document

The name of a document that is automatically displayed if a web browser does not specify an explicit document name in a URL. Sometimes this is also referred to as the "Index" document.

Typical Default Documents

Microsoft IIS

Default.htm

UNIX / Apache

Index.html

Other Windows Servers

Index.htm

This field can be left blank in most cases. It will be filled by StudioLine after pressing the Test button.

Use for Links to This Site

Links from other StudioLine sites will use this profile to determine which URL to use.

Sample Remote Directory and URL Settings

The following scenarios assume that StudioLine is used to create pages for www.ACME.WebLobby.com.

1. | The root directory for the web site is the login directory of the FTP Server. The StudioLine site contains the complete web site. Remote Directory = - blank - URL of the Site Root = http://www.ACME.WebLobby.com/
2. | The root directory for the web site is the login directory of the FTP Server. The StudioLine site contains a picture gallery, which is added to an existing site. The web designer would like to keep the picture gallery in its own directory so that it does not interfere with the existing web site. Remote Directory = Gallery/ URL of the Site Root = http://www.ACME.WebLobby.com/Gallery/
3. | The root directory for the web site is located in the "httpd" directory of the FTP Server. The StudioLine site contains the complete web site. Remote Directory = httpd/ URL of the Site Root = http://www.ACME.WebLobby.com/
4. | The root directory for the web site is located in the "httpd" directory of the FTP Server. The StudioLine site contains a picture gallery, which is added to an existing site. The web designer would like to keep the picture gallery in its own directory so that it does not interfere with the existing web site. Remote Directory = httpd/Gallery/ URL of the Site Root = http://www.ACME.WebLobby.com/Gallery/
5. | The user has been assigned a UserID of "John", which is used as a folder on the web server. After logging into the FTP Server as "John", the root directory for the web site is located in the "httpd" directory. The StudioLine site contains the complete web site. Remote Directory = httpd/ URL of the Site Root = http://www.WebLobby.com/~John/


Object Descriptors Panel

Object Descriptors

Descriptive information can be associated with each image and used to replace placeholders (variables). Descriptors which currently hold values are indicated by a green checkmark.

System descriptors are used internally by StudioLine. Layout-specific descriptors are time-savers in Layouts with image views. Users can define any number of additional descriptors.

Image Specific Descriptors
Alternate Text

This text is displayed instead of a picture, if a web site visitor has disabled the display of any images in the browser settings. Many browsers will also display the alternate text, whenever the cursor rests over the picture.

Default: %%Name%%

Name

The name of the picture in the Image Archive.

Source

Path to the image file on the local computer or network.

Default: Path the image was originally imported from.

Layout Specific Descriptors
Header

Picture title. Typically displayed as a headline above the picture.

Description

A legend or descriptive text for the picture. Typically displayed as a caption below the picture.

User Defined Descriptors
Add

Associates a new descriptor with images.

Descriptor names may contain only basic alphanumeric characters, special language-specific characters will not be accepted.

Descriptors added in Image Archive mode will be available systemwide. Descriptors added in Page Editor or Layout mode will only be available for images on that page. Descriptors added to a Layout Template will only be available in derived pages.

Delete

Deletes this descriptor from all images.

If more than one object is currently selected, use the navigation buttons to browse forward or backward through your selection.


Image Toolbox Panel

Image Toolbox

The Image Toolbox is a complete palette of professional tools. Click an icon to open the tool dialog, drag the icon to an image or an Active Tools list to apply the tool and open the appropriate dialog.

QuickSteps: Working with Images

Active Image Tools

To display this section, press the “Active Tools” button on the button bar across the top of the Image Toolbox.

It lists the tools that have already been applied against the currently selected image.

Preprocessing

The settings are permanent and do not appear in the Active Tools list of the Context Menu. This prevents other images from unintentionally being cropped or realigned, when the Active Tools list is copied.

Crop and Rotate

Rotates, mirrors and crops the image. You can also use any line in the image to become the new horizon or the perpendicular.

  1. Move the two handles of the alignment band until it lines up with any object in the image that should be aligned vertically or horizontally. An example would be the wall of a building or the natural horizon.

  2. Click the Flip button to flip the image horizontally, or click one of the rotate buttons to turn the image by 90° or 180°.

  3. Use the cropping blades or the diagonal corner handles to define the new image rectangle. Hold down the Shift key to drag opposite blades simultaneously. Click inside the cutout area, then drag the hand cursor to move the cutout without changing its dimensions. Press the “Fix” button to maintain the aspect ratio (perpendicular blades will move proportionally). Otherwise, the image would appear stretched in one direction.

Note: This tool will only effect a single picture at a time. Use picture arrow buttons to browse to another image in the selection.
User Guide: Image Bulk Processing

Red-Eye Correction

The Red Eye Correction image tool removes red eyes in photos taken with a flash.

Click into the left full view of the currently selected image, roughly at the position of a red eye. The right view will zoom into the area selected in the left view. Now click exactly into the red pupil in the right view. Take care not to click into a white glare inside the red pupil. Both views will show a numbered crosshair to mark the selected spot.

The two sliders “Color Tolerance” and “Adjustment Effect” allow fine-tuning the correction: increasing color tolerance requires image pixels to be “less red” to still belong to the corrected area. Increasing the adjustment effect darkens the resulting pupil.

Several red eyes can be corrected in each image. Just click another time into the red view to add another eye. The sliders for the individual eyes can be reached with the entry field “Eye No.”, any unwanted correction spots can be deleted by clicking on “Delete”.

Note: This tool will only effect a single picture at a time. Use picture arrow buttons to browse to another image in the selection.
User Guide: Image Bulk Processing

Correction

Auto Tone Levels

Enhances image contrast by optimizing tone levels of the light and dark areas of an image, and by applying gamma correction against the mid tones. This tool is helpful for images that are over- or underexposed and for countering the effect of light diffused by a large number of lenses (e.g., in digital cameras).

Use the Highlights and Shadows sliders to manually select a reference value, which define the lightest and darkest areas of the image. The Auto-Contrast button will analyze the image to determine optimum values.

Use the Midtones slider to manually select a reference value, which defines the middle tone between the lightest and darkest areas. The Auto-Tone button will analyze the image to determine optimum value.

After using the Auto-Contrast or Auto-Tone buttons, the sliders can be used to further refine the calculated values.

Image Enhancements

The three controllers for brightness, contrast and saturation correspond to those of a color TV set. The complete color spectrum is effected.

Note: This tool applies straight linear changes, which can lead to losses in the high or low bands for each property. Consider using the Exposure Correction, tool which has a sophisticated algorithm to avoid those side-effects.

Exposure Correction

The controller for exposure will have the greatest effect on brightness in the medium range. The darkest and lightest colors will be effected the least. This prevents the loss of black or white areas of the image.

The two controllers for contrast, allow fine-tuning of the contrast for the light and dark areas of the picture.

The saturation controller has a sophisticated algorithm, producing more balanced results than the straight-line changes applied by the “Hue, Saturation, Brightness” tool.

Hue, Saturation, Brightness

The Hue control shifts colors. If applied against a single color, it is possible to recolor areas of that color.

The effect of the color specific Saturation control is identical to Saturation settings in the Color Tuning tool.

The Brightness control keeps the Hue and Saturation constant, resulting in different effects than the Brightness settings elsewhere in the image toolbox.

The option “Effect depends on saturation” will gradually reduce the effect of the controls on pixels that are less saturated with the selected color. The higher the saturation, the more pronounced are the effects.

Note: A checkmark next to a color will indicate that a particular setting is no longer in the neutral position.

Color Tuning

A color equalizer for modifying the saturation of specific colors which already exist in the image.

This tool is helpful in removing color passes that are present in the image due to bad source material or scan errors.

Note: This tool is a subset of the “Hue, Saturation, Brightness” tool.

Color Balance

Allows to correct the tone of specific colors in an image.

If choosing “All Colors”, refine your selection using the shadows/highlights controller.
If choosing a specific color you can further narrow your selection by using the hue controller.

The three controllers for colors and the brightness controller will limit the effect to the selection you made.

Equalize Brightness

Analyzes the different areas of an image and determining its Histogram. Then it will attempt to normalize the brightness values for all areas, trying to equally distribute the occurrence of each brightness.

Color

Colorize or recolor images.

This tool may be used to add color to grey images. Correcting color problems of photographs can be done better with "Color Tuning" or "Hue, Saturation, Brightness".

Despeckle

Eliminates tiny impurities that may have been introduced during the scanning process.

Sharpness

Improves the sharpness of an image.

Blur

Blurs the image.

Effects

Colorize

This tool may be used to replace the colors of an image with a new color. The Intensity selector defines the degree to which the new color is applied. If necessary, the contrast is reduced to obtain the selected average color.

Bicolor

Applies one color each to the dark and light areas of an image. This tool is ideally suited to obtain a uniform effect for a series of two-color images.

Black & White

Removes saturation of all colors while correcting for differences in brightness, e.g., yellow tones will appear brighter than blue tones.

The effect varies from saturation settings elsewhere in the toolbox.

Scalable Backdrop

Adds a backdrop color behind an image or text element.

The backdrop can be made larger than the actual image and with round corners. This gives it the appearance of a picture frame.

Soft Edge

Softens the outer edge of rectangular images.

Invert Image

Creates a negative image by replacing colors with their RGB complements and inverting the brightness. The saturation value is not effected.

Note: This function can be used to turn a black and white photo negative into a positive image. However, it cannot be used for color photonegatives since these contain an orange mask.

Transparency

Modifies the opacity of an image from opaque to fully transparent.

Note: A fully transparent image can be selected by dragging the selection band across the approximate area of the desktop.

Simple Backdrop

Adds a backdrop color behind a transparent image or text element.

Invert Mask

Inverts the transparency of an image. Opaque areas become transparent; previously transparent areas are colorized.

This filter allows for many interesting designs and text effects. It is worth experimenting with.

Smoked Glass

Covers an area of the image with a color taint. Transparency and blurring settings can give it the appearance of smoked glass.

This filter can be helpful where text is superimposed over an image.

Find Edges

Finds edges in the image and emphasizes them.

Emboss

Adds a relief effect.


Image Quality Panel

Image Quality

The size of an image directly effects the amount of time and memory needed during processing and transmission. Web designers often invest significant effort into seeking a good compromise between image quality and the time it takes for a page to load. StudioLine has been designed to automate and optimize image handling.

Original Size

View and size of the original image in uncompressed form.

Compressed Size

View and size of the resulting image after compression.

Navigation

Browse buttons if more than one image is selected.

Quality

Controls the JPEG compression factor. Higher quality images will load slower, lesser quality images may look less appealing.
Image Rendering Preferences Panel

Same quality for all images

This button appears, while exporting multiple images.

When turned on, identical image quality settings apply to all images. When turned off, use the navigation buttons to review unique settings for each picture.


Font Properties Panel

Font Properties

Font

Choose from available typefaces.
User Guide: Fonts

Size

Point-size of font.

Color

Opens the Choose Color panel.

Style

Choose if text should be displayed in bold, italics or underlined.


Insert Descriptor Panel

Insert Descriptor

Type

Choose one of the major classifications.

Name

Choose the name of the variable.

Options

Specify any options that this variable may require.

Preview

Preview the placeholder text to be inserted.


Choose Color Panel

Choose Color

Old / New

Displays the current and new color value.

Note: A rainbow color display indicates that no single color value has been defined, e.g., if a selection of text uses a variety of colors.

Saturation / Brightness

In the square area, drag the selector horizontally to change the color saturation. Drag the selector vertically to change the brightness.

Hue

Move the slider up and down to change the hue.

Red, Green, Blue

Displays the current RGB color value. May be used to enter a specific color value.

Site Colors

To remember a selected color for later use, drag the Copy window control to paint box.

To use a color, drag it from the paint box.

Pick Color

Allows you to pick a color from anywhere on the screen.

Pick Area

The size of the area from which the pick color will be determined by calculating a mean RGB value.


Link Properties Panel

Link Properties

Links redirect the browser to a different page or perform other actions when the web site visitor clicks on the element or when automatic forwarding is defined.

StudioLine also offers a variety of generic links (such as “Home” or “Next”). The actual address of a generic link is determined or updated automatically, at the time the site is published.

Link to URL

Creates a link to pages at other sites or to other resources.

Sample URLs

Web Site

http://www.StudioLine.net/

FTP Site

ftp://ftp.hm-software.com/

Newsgroup

news://News.HM-Software.com/HM.Public.Support

StudioLine does not verify or monitor the validity of external links. The user should check these links from time to time to make certain that they are still valid.

Email Link

This link will open the visitor’s email application. Enter a recipient email address and a subject.

No Link

Removes any links.

Open New Browser Window

Normally pages appear in the same browser window.

Under "Options", leave the name blank to cause the linked page to appear in a new window each time. Reuse the same name for any number of links and they will share the one window by that name.

The effect of the advanced options may differ between browsers. Netscape defines the window size as the browseable area, only. Internet Explorer also includes the window frame, title bar and other control elements.


Image Archive Preferences Panel

Image Archive Preferences

Image Archive Preferences control how new images are stored, whether they were added to the Image Archive or placed directly on a page.

Note: Changing the preferences does not effect existing images.

Max. Image Size)

StudioLine stores images in the best possible quality. Images in print quality require large amounts of disk space and would significantly slow down image processing. Since most web pages are designed for limited screen sizes, there is little benefit in storing images with unnecessary high resolutions.

This setting defines the maximum size (in megapixels) for an image. Larger images will be resized accordingly. Smaller images are not effected.

This setting is also used for exported images.

Note: Images pasted from the system clipboard are not resized, to avoid loss of detail of screen shots. PhotoShop files are left untouched, to avoid inconsistent scaling of different layers.

Tolerance (in %)

If an image is within the specified tolerance of the Max. Image Size, it will not be scaled to avoid unnecessary generation loss of JPEG images.

When source image is larger:

If an image size is outside the tolerance, it would have to be scaled to accommodate the Max. Image Size.

This settings defines, whether StudioLine will scale the image automatically or whether the user is prompted to either permit automatic scaling or to leave the image in its the original size.

Max. Preview Dimensions

When an image is added to the Image Archive, a smaller preview version is created.

This setting defines the default maximum height and width (in pixels) with which the image will be previewed in Image Archive mode. Smaller images will be previewed in their original size. The preview dimensions have no effect on the processing of images for pages or Layouts.


Image Archive Background Panel

Image Archive Background

Draw Line Pattern

Draws a line pattern in the background.

Inactive Background Color

Choose a color to be used if content pane is not currently selected.

Active Background Color

Choose a color to be used if content pane is selected.


Image Rendering Preferences Panel

Image Rendering Preferences

Image Quality

This setting is the initial Image Quality setting for images dropped onto a page or layout.

A setting of 80 and higher will avoid any compression of color resolution. This is of particular importance for text rendered as graphic.

The Default button will reset the quality to 80.

Text-Graphic Quality

This setting is the initial setting for any text that is being rendered as a graphic.

The Default button will reset the quality to 90.


Mailing Images Preferences Panel

Format

Choose from one of the most common picture formats.

The Default button will reset the format to JPEG, which is widely used and reduces the size of email attachments.

With Transparency

Select this setting to maintain the transparency information with the images.
Note: This option is not available for all file formats.

Image Quality

A higher quality will result in larger email sizes.

The Default button will reset the quality to 80.

Note: This option is not available for all file formats.

Use Original Image Size

Use this option to prevent images from being scaled down.

Max. Pixel Dimensions

Choose one of the common image dimensions, or choose to specify your own width and height.

The Default button will reset the dimensions to 640 x 480.

Width / Height

Choose the maximum width and height that images will not exceed.


Export Object Preferences Panel

Export Object Preferences

Format

Choose from one of the most common picture formats.

The Default button will reset the format to TIFF, which supports transparency and stores images without loss of quality.

With Transparency

Select this setting to maintain the transparency information with the images.
Note: This option is not available for all file formats.

Image Quality

Higher qualities will result in larger file sizes.

The Default button will reset the quality to 90, if the file format is JPEG.

Note: This option is not available for all file formats.

Use Original Image Size

Use this option to prevent images from being scaled down.

Max. Pixel Dimensions

Choose one of the common image dimensions, or choose to specify your own width and height.

The Default button will reset the dimensions to 1024 x 768.

Width / Height

Choose the maximum width and height that images will not exceed.


Print Preferences Panel

Print Preferences

Defines either the default image size or the default resolution used when printing images. The setting that has been fixed, will be maintained during cropping actions; the other setting will be adjusted as necessary.

Fixed Image Size

Either choose one of the common picture formats or enter a custom size for the printed image.

Fixed Resolution

Enter the default print resolution.


Search Image Archive Panel

Search Image Archive

This function will scan image descriptors for matching words or phrases.

Standard Search

Search Argument

Enter the search word or phrase.

StudioLine always finds any occurrences of the search word – no wildcard characters are required. Therefore, typical wildcard characters like % or * are treated by StudioLine as if they were part of the word to be found!

Search in

Displays the folder being searched.

Include Subfolder

With this option, the selected folder and any of its subfolders will be searched.

Advanced Search

Opens a panel to enter advanced search arguments.

Advanced Search

This function allows advanced search criteria to be entered. If more than one criteria is entered, then all of them must be found true for an object to match.

All these words must appear

Enter any number of words, separated by a space.

For an object to match, each single word must appear somewhere in its descriptors. It is not necessary for these words to appear together or in the same order.

One of these words must appear

Enter any number of words, separated by a space.

For an object to match, one of the words must appear in any one of the descriptors.

This character string must appear

Enter a phrase or character string.

For an object to match, the exact phrase or character string must appear in any one of the descriptors.

These words must not appear

Enter any number of words, separated by a space.

For an object to match, none of the words may appear in any of the descriptors.

Search in

Displays the folder being searched.

Include Subfolder

With this option, the selected folder and any of its subfolders will be searched.


Search / Replace Panel

Search
Search and Replace

Search for

Enter the letter(s), word or phrase to search for.

Replace with

Enter the new letter(s), word or phrase.

Search Focus

Search Selected Text

Search only text that has been highlighted.

Search Current Text Object

Searches the entire current text object.

Search All Text Objects on Page

Searches all text objects found on the page.

Match Whole Word

With this option, the search will match only entire words or phrases. If the same combination of letters appears as part of a word, it will be ignored.

Match Case

With this option, the search will match only the exact same capitalization as used in the “Search for” field.

Search Forward

Searches the text in forward direction.

Search Backward

Searches the text in backward direction.

(This function is not available in the Search and Replace panel.)

Replace

Replaces only the currently found match.

Replace All

Replaces all matches in the text.


Spell Check Panel

Spell Check

Words that are not found in the system or user’s dictionary will be rejected, one at a time. If possible, a list of similar words is displayed. The user may ignore the rejection, change the word, look it up in a different language, or add the original word to the user’s custom dictionary.

Start / Resume

Starts or continues the spell check.

Ignore

Overrides the spell check rejection and continues the spell check. The originally rejected word remains in the text.

Ignore Always

Ignores all occurrences of this word in the text. Other occurrences in the same text will not be rejected.

Change

Replaces the rejected word with the currently selected suggestion and continues the spell check.

A suggestion can also be accepted, by double-clicking the word in the list.

Change Always

Replaces all occurrences of the rejected word in the current text with the selected suggestion.

Add

Adds the rejected word to the custom dictionary. Future occurrences of the word in the current language will not be rejected.

Dictionary

Displays a panel to maintain, export or import a custom dictionary for each supported language.

Note: Large custom dictionaries with thousands words or more may negatively impact spell checker performance.

Language

Looks up the current word in a different language dictionary. The choice of language will be remember for this word.

Options

Spell Check Options Panel


Spell Check Options Panel

Spell Check Options

Check spelling as you type

The spell checker will continuously look up words as they are being typed in the text editor. Incorrect words will be highlighted with a wavy underscore.

Ignore capitalized words

Words with leading capitals will not be checked.

Ignore all-caps words

Words with all capital letters will not be checked. Many words with capital letters are abbreviations that would be rejected by the spell checker.

Ignore words with numbers

Words that include numeric letters will not be checked. Many words with embedded numbers are trademarks or technical terms that would be rejected by the spell checker.

Ignore words with embedded caps

Words that have embedded capital letters will not be checked. Many words with embedded capital letters are trademarks or technical terms that would be rejected by the spell checker.

Ignore domain names

Words that appear to be Internet domain names will not be checked.

Case sensitive

The spell checker will reject words that may have been improperly capitalized.


Image in Use Message Box

Image in Use

Reason:

This message box appears, when a user attempts to delete an object that is still in use. A list of effected web galleries appears.

Action:

  • Double-click an item in the list to preview that effected web gallery.

  • Click “No”, if the object should not be deleted.

  • Click “No to All” to abort deleting of a series of objects.

  • Click “Yes” to delete the object. Any effected pages will have to be revised and re-published.


Active Links Message Box

Active Links

Reason:

This message box appears, when a user attempts to delete a page that is referred to by a link from other pages. A list of effected pages appears.

Action:

  • Double-click an item in the list to preview that effected page.

  • Click “No”, if the page should not be deleted.

  • Click “Yes” to delete the page. The links on any effected pages will be set to “No Link” and those pages are scheduled to be re-published.


This Page was not Properly Saved Message Box

This page was not properly saved

Reason:

This message box appears, if StudioLine was not able to properly save the document the last time it had been edited. May be the computer had locked up or there was a sudden power failure.

Action:

  • Click “OK” to use the most recent snapshot copy, which StudioLine automatically creates from time to time, while you are working.

  • Click “No”, to revert back to the previously saved version of the document.

  • Click “Preview” to view the most recent snapshot copy. Use this function to decide if the snapshot copy is more suitable than the previously saved version.


Image Too Large Message Box

Image Too Large

Reason:

The dimensions of the image exceed the paper size.

Action:

  • Click “Correct Automatically” to scale the image to the paper size.

  • Click “Skip”, to skip printing this image.

  • Click “Apply All” to use the same action against any other oversize images in the same print run.

Last Document Update: 30-Jul-02 01:50


Keyboard Shortcuts

Text Editor shortcuts may be found in the User Guide.

Workspace and Global Shortcuts

F1

Request context sensitive help on the current program object. If no object has the focus, then the Help table of content is displayed.

Ctrl + S

Saves current page.

Alt + F4

Exit program

Tab /
Shift + Tab

Jumps to the next or previous object on the page.
(Roll-Over processing is treated as a separate element.)

F5

Refreshes the current list in StudioLine Explorer

Alt + Enter

Displays the context menu for the selection
(The special Context Menu key on the Windows Keyboard is also supported).

Delete

Deletes the current selection.

Ctrl + A

Selects all objects.

Ctrl + Mouse Click

Toggles the selection.
(The object is either added or removed from the selection.)

Shift + Mouse Click

Adds the object to the selection.

Right Mouse Click /
Shift + Right Mouse Click

Opens the context menu for the object currently under the mouse pointer.

Ctrl + Right Mouse Click

Opens the context menu for the current selection.

Ctrl + C

Copies the current selection to the system clipboard (Copy).

Ctrl + X

Moves the current selection to the system clipboard (Cut).

Ctrl + V

Pastes the content of the system clipboard (Paste).

Ctrl + Z

Undo

Ctrl + Y

Redo

Ctrl + J

Joins multiple text objects into one.

Ctrl + H

Toggles the display of the selector band.

Ctrl + G

Toggles the display of object status icons.
Object Status

Ctrl + L

Locks layout objects so they can’t be selected or moved accidentally.

Ctrl + N

Displays or hides the Container.

Arrow Keys

Moves the current selection in the direction of the arrow by one pixel.
(Press and hold the Shift key to move the current selection 10 pixels at a time.)

Panel Shortcuts

Esc

When used with a text fields: Reverts the text field to the content it had before any key was pressed and exits the field.
When used on a message box: Equivalent to Cancel button.

Shift + Esc

Used for panels with text fields.
Reverts the text field to the content it had before any key was pressed.

Tab /
Shift + Tab

Jumps to the next or previous field.

Listbox Shortcuts

Cursor Up / Cursor Down

Scroll list by one item.

Page Up / Page Down

Scroll a full page.

[keyboard input]

Scrolls the list to an item that starts with the input characters.

Enter

In a hierarchical list, opens the next hierarchy (where appropriate).

Backspace

In a hierarchical list, opens the previous hierarchy (where appropriate).


Window Controls

The StudioLine window and its panels offer the familiar window controls. In addition, certain panels offer sophisticated timesaving functions that are unique to StudioLine.
Maximize

Sizes window to the maximum available space.
Minimize

Reduces window to an icon.
Restore

Restores window to its normal size.
Close

Closes window.
Resize

Resizes the window.
Copy

Copies settings to other objects.

Drag the button to other objects to apply the same settings to the target object(s). Drag the button to the trashcan to remove the function of the current panel, or to reset it values.

Copy and Lock Buttons

Lock

Locks the settings of the current panel.

After locking the settings, other objects may be selected while the current settings are maintained. This allows the locked settings to be applied to several other objects.


Toolbar

File Palette
New

Creates a new StudioLine document.
Open

Opens an existing document.
Save

The document will be saved to disk.

Clipboard Palette
Cut

Moves the current selection to the system clipboard.
Copy

Copies the current selection to the system clipboard.
Paste

Pastes the content of the system clipboard.

Explorer Palette
Insert from Image Archive

Opens the StudioLine Explorer for the Image Archive.
Insert from My Computer

Opens the StudioLine Explorer for My Computer.
Insert from Layout Template

Opens the StudioLine Explorer for Layout Templates.

Edit Palette
Select All

Selects all objects.
Undo

Takes back the last action.

The undo stack remembers any actions performed in the current StudioLine mode since the last time the file was saved.
Redo

Performs the action for which "Undo" was previously chosen.

Standard Palette
Align page left/centered/right

Centers the page horizontally or aligns it to either side of the browser window.
Align page top/middle/bottom

Centers a page vertically or aligns it to the top or bottom edge of the browser window.
Roll-Over Mode

Toggles the display of images in roll-over mode.
Object Alignment

Aligning

Select two or more objects. Click the appropriate button to align them along one side or their center.

Spacing

Select three or more objects. Click the appropriate buttons to space them evenly, either horizontally or vertically.

Print Palette
Print

Opens the print spooler panel.
Print Spooler

The Text Editor toolbar may be found in the User Guide.


Descriptors

System Descriptors

RegisteredUser

Name of the person who registered StudioLine during setup.

SLGVersion

Version of the StudioLine software.

Page Descriptors

SiteName

Name of the current site.

PageName

Name of the current page.

HomePageName

Name of the sites home page.

IndexPageName

Name of the index page for a collection of automatically generated pages (e.g., page views, automatic folder links).

Page_Title

HTML title of the current page.

Page_Description

Content of description HTML meta tag.

Page_Keywords

Content of keywords HTML meta tag.

Page_Author

Content of author HTML meta tag.

Page_Copyright

Content of copyright HTML meta tag.

PageDir

Path to local copy of rendered page.

Date
Time

Date or time when the current page was last rendered by StudioLine.

Date(format)
Time(format)

Date or time when the current page was last rendered by StudioLine. The date or time format can be specified inside the parentheses.

Examples: Date(dddd, d MMM yyyy) Time(hh:mm:ss tt)

d

Day of month as digits with no leading zero for single-digit days.

dd

Day of month as digits with leading zero for single-digit days.

ddd

Day of week as a three-letter abbreviation.

dddd

Day of week as its full name.

M

Month as digits with no leading zero for single-digit months.

MM

Month as digits with leading zero for single-digit months.

MMM

Month as a three-letter abbreviation.

MMMM

Month as its full name.

yy

Year as last two digits, with leading zero for years less than 10.

yyyy

Year represented by full four digits.

gg

Period/era or blank.

h

Hours with no leading zero for single-digit hours; 12-hour clock.

hh

Hours with leading zero for single-digit hours; 12-hour clock.

H

Hours with no leading zero for single-digit hours; 24-hour clock.

HH

Hours with leading zero for single-digit hours; 24-hour clock.

m

Minutes with no leading zero for single-digit minutes.

mm

Minutes with leading zero for single-digit minutes.

s

Seconds with no leading zero for single-digit seconds.

ss

Seconds with leading zero for single-digit seconds.

t

One character time-marker string, such as A or P.

tt

Multi-character time-marker string, such as AM or PM.

Image Descriptors


Media Filetypes

StudioLine can recognize a number of file types and generate skeleton HTML objects.

.exe | Executable file (for download)
.ps | PostScript
.pdf | Adobe Acrobat
.dwf | Autodesk AutoCAD
.aif / .aiff | Audio Interchange Format
.au | Audio file
.wav | Wave (audio) file
.asf | Active Streaming Format
.avi | Audio-Visual Interface
.mov | Apple QuickTime
.mpg / .mpeg | Motion Picture Export Groups format
.mid / .midi | Musical Instrument Digital Interface
.mp3 | Moving Picture Experts Group Layer-3 Audio
.rm | Real Media
.wmv | Windows Media Video
.swf | Macromedia Shockwave Flash
.zip | PKZIP compressed file
.tbk | Asymetrix Toolbook
.pan | Imoveinc x/pan


Character Translation

Some browsers on platforms other than Microsoft Windows fail to successfully display certain special or foreign language characters. StudioLine will detect the visitor’s browser and use alternate representations (see table below). If no feasible replacement is available for a particular browser, then a “?” or “*” is displayed.

Most of these characters are seldomly used and the effected browsers amount to less than 15% percentage of total web visitors. However, if authenticity is critical, then the text should be rendered as graphic. This will avoid any issues with incompatible character sets or code pages.

Hex | Rendered As | Windows | Mac IE 4.5 | Mac IE 5.0 | Mac NS 4.5 | Linux NS 4.5
7f |  |  | ? |  | " " | " "
80 | € | € |  |  |  | ?
83 | ƒ | ƒ |  |  |  | f
84 | „ | „ |  |  |  | ?
85 | … | … |  |  |  | ?
86 | † | † |  |  |  | ?
87 | ‡ | ‡ |  |  |  | ?
88 | ˆ | ˆ |  |  |  | ^
89 | ‰ | ‰ |  |  |  | ?
8a | Š | Š | S`´ | S`´ | S | S
8b | ‹ | ‹ |  |  |  | <
8c | Œ | Œ |  |  |  | ?
8e | Ž | Ž | Z`´ | Z`´ | * | ?
91 | ‘ | ‘ |  |  |  | ?
92 | ’ | ’ |  |  |  | ?
93 | “ | “ |  |  |  | ?
94 | ” | ” |  |  |  | ?
95 | . | . |  |  |  | *
96 | - | - |  |  |  | -
97 | - | - |  |  |  | -
98 | ˜ | ˜ |  |  |  | ~
99 | ™ | ™ |  |  |  | ?
9a | š | š | s`´ | s`´ | s | s
9b | › | › |  |  |  | >
9c | œ | œ |  |  |  | ?
9e | ž | ž | z`´ | z`´ | * | ?
9f | Ÿ | Ÿ |  |  |  | Y
a4 | &curren; | ¤ | ? | ? | € |
a6 | ¦ | ¦ | | | | | | |
b2 | ² | ² | 2 | 2 | 2 |
b3 | ³ | ³ | 3 | 3 | 3 |
b9 | ¹ | ¹ | 1 | 1 | 1 |
bc | &frac14; | ¼ | 1/4 | 1/4 | ? |
bd | &frac12; | ½ | 1/2 | 1/2 | ? |
be | &frac34; | ¾ | 3/4 | 3/4 | ? |
d0 | &ETH; | Ð | <ETH> | <ETH> | ? |
d7 | × | × |  |  | x |
dd | &YACUTE; | Ý | Y' | Y' | ? |
de | &THORN; | Þ | <THORN> | <THORN> | ? |
f0 | &eth; | ð | <eth> | <eth> | ? |
fd | &yacute; | ý | y' | y' | ? |
fe | &thorn; | þ | <thorn> | <thorn> | ? |


Frequently Asked Questions

Images

How do I prevent an image from being modified when I assign a different Layout?

Choose Independent Processing from the Object Context menu.

How do I control the ALT text that shows in the browser whenever the mouse cursor rests over an image?

The ALT text is controlled by the “Alternate Text” descriptor of the individual image.

Text

Why does the browser take slightly longer to load my page, when I use "justify" alignment?

Various browser versions space words and letters quite arbitrary, depending on line length, number of words and HTML tags between or embedded in words. To guarantee the proper appearance, StudioLine does not rely on the browser to format the text but instead positions the words with HTML tables. This can require substantial amounts of extra HTML code, which increases the document size.

What are the implications when using text as graphic?

Graphic images require more disk space and extra transmission time compared to plain text. A page that makes extensive use of text as graphic may take slightly longer to load in the browser. This is becoming less of a concern with the growing availability of high-speed connectivity, such as ISDN, DSL and cable.

Browsers

How relevant are browsers not supported by StudioLine?

StudioLine makes use of advanced DHTML technology such as JavaScript and cascading style sheets. In 2001, about 95% of all Internet users already operate a compatible browser. For the remaining users, updated versions of Netscape, Internet Explorer and Opera are available free of charge. Other browser software account for less than 3% of total website visits.

Privacy

What unique system identifiers are used by StudioLine?

  1. StudioLine uses Windows GUIDs to identify objects in its database. This is crucial during export/import operations. GUIDs are derived from the network adapters MAC address, which is uniquely assigned by the hardware manufacturer.

  2. During setup, StudioLine generates a hardware-based ID which is used to validate your license.


Support

Getting Support

Online Support

To benefit from the combined experience of other users and the StudioLine support staff, please post questions and concerns on H&M Software's online support board. You should also check the support pages on the StudioLine web site for current product information and software updates.

  • Support Web Site: http://www.StudioLine.net/Support/

  • Support Board: http://Conference.StudioLine.net/

  • Email: Support_US@HM-Software.com

Installation Support

If you have difficulty installing this software, you may telephone H&M Software's installation hotline:

  • USA: +1 (201) 845-3357, Ext. 3

9:00 A.M. to 5:00 P.M., Eastern Time

  • Europe: +49 (6074) 9130

9:00 A.M. to 5:00 P.M., Central European Time

Please have your PC turned on and the StudioLine CDROM in the drive.

Note: You have thirty days from your first call to take advantage of installation support.

Incident Reporting

Use the form on the StudioLine support web site when reporting an incident to H&M's. It will provide H&M’s personnel with helpful information about your system configuration and the circumstances under which the problem was encountered.

Log Files

To assist support personnel, StudioLine keeps a log of important program events. The log files are located in the “Logs” folder of the StudioLine program folder. StudioLine automatically deletes old log files after one month. If disk space is getting sparse, then you may delete old log files earlier.

StudioLine Log

Certain program actions are recorded in a StudioLine log file. To determine the name and location of the current log file, choose Version from the Help menu.

Support personnel may ask you to change the level of detail for the StudioLine log. This is accomplished by editing the file “Relax.ini” and increasing the LogLevel.

FTP Log

A detailed log of publishing events is recorded in a separate FTP log. The file name of the FTP log starts with “SLG_FTP” followed by the current date in parenthesis.


Proprietary Rights

This and all copies of the software are proprietary products of H&M and are protected under U.S. and international copyright law. Therefore you must treat the software and accompanying written materials like any other copyrighted material: you may not copy any portion of them, but you may transfer the software to a single hard disk, provided you keep the original disk(s) solely for backup or archival purposes.

StudioLine is a trademark of H&M Systems Software, Inc. in the United States and other countries.

© 1994-2001, H&M System Software GmbH

Last Document Update: 15-Jul-02 05:47


Aspect Ratio

The aspect ratio defines the height to width proportion of an image. When a picture is enlarged or reduced, it is best to maintain the aspect ratio - otherwise, the picture would appear distorted (stretched in one direction).


Choose Site for Web Gallery Panel

Choose Site for Web Gallery

The gallery will become part of a web site. A single site can be used to publish any number of web galleries.

Current Site

Displays the name of the most recently used site.

To continue using the same site, simply press the OK button.

Switch Sites

Select a different site for this gallery.

Create Site

Choose this option to create a new site for this gallery.


Color Pane Properties Panel

Color Pane Properties

Fill Background

If this option is deselected, the background will be transparent.

Select this option to choose a background color.

Lines and Corners

Configures the borders of the color pane.

Choose whether a line is displayed for each of the four sides and choose the corner style.

Border Thickness

Choose the border width in pixels.

Radius

Choose the radius for any rounded corners.

Border Color

Choose a color for border lines and corners.

Top Color Band

Choose the height and color for a band displayed across the top of the color pane.

Bottom Color Band

Choose the height and color for a band displayed across the bottom of the color pane.

User Guide: Color Pane Container


Container Settings

Container Adjusts to Width

-- purpose unclear --

Container Adjusts to Height

-- purpose unclear --

Text Adjusts to Container Width

-- purpose unclear --

(All text objects inside the container? Only the first one? Will it automatically start a new row at each text object?

Unaligned

The content of the container is unaligned. Objects may be placed freely anywhere inside the container.

Column Alignment

Choose the alignment of object columns: left aligned, right aligned, centered or justified.

Row Alignment

Choose the alignment of object rows. Objects may be aligned along their bottoms, their centers or their tops. For images, an alignment along the bottom is commonly used. Top alignment may be used to correctly align multiple text columns.

Margins

Choose the amount of free pixles that are left between the container borders and the objects it contains.

Spacing

The spacing between objects inside the container.


Container Settings Panel

Container Settings

Auto-Positioning

The container and its content is aligned by the Page Editor in accordance with these settings.

Position

The top left corner of the container.

Note: This can also be set by dragging the border of the container.

Width

The width of the container.

Note: This can also be set by dragging the handles of the container.

Spacing

The spacing between objects inside the container.

Alignment

The alignment of objects inside the container.


Container Submenu

Position Anchor

Changes the reference point of the current object.
Position Anchor Panel

This function is disabled when the page has no container.

Off

Removes the container from the page. Objects previously contained inside the container become regular objects on the page.

 Ctrl+N

Create

Creates a new container object.

Insert Line Break Before/After

Objects inside the container are lined up in rows until the width of the container has been reached. Insert a line break to start a new row at the current object.

This menu item will only appear for objects inside a container.

Settings

Container Settings Panel


Export Site Panel

Export Site

When exporting a site for another user, you need to decide if they should be able to publish the site to your web servers of if they need to create their own publishing profiles after import.

Choose Publishing Profiles

Click a profile to include it in the export.

Deselect All Profiles

Choose this option to reset the list of selected publishing profiles.

Select All Local Profiles

Choose this option to include all local publishing profiles.

Select All Profiles

Choose this option to include all publishing profiles.


Folder Navigation Links Panel

Folder Navigation Links

Activate Folder Navigation Links

Provides links between the pages in a folder and to an index or start page.

User Guide: Automated Folder Links

Index Page

Defines a “parent” page. The special Index Page navigation link will be associated with that page. Even though the index page may reside in the folder itself, it will be excluded from the previous/next navigation chain.

Normally, the index page would be set up to contain a link to all pages or at least to the first page in the folder navigation chain.

Sort By

Defines the sequence in which pages inside the folder are linked:

  • Page Name (alphabetical)
  • Order in Index Page (the navigation sequence follows the order of appearance on the index page)
  • Creation Date
  • Modification Date

Sort Order

Defines either ascending or descending sort order.


Guide Context Menu

Position

Opens a panel for entering the position of the guide. This is helpful, when the location or distance between guidelines has to meet very specific requirements.

Delete

Removes this guide.

Settings

Guides Panel


Guides Panel

Guides

Guides can be used for proper alignment of elements on a page.

Current Set

Displays the name of the currently used arrangement of guides. Use the Save and Browse buttons to save, reuse or delete a particular arrangement.

Save

Saves the current set of guides.

Saved sets are available in all StudioLine sites and pages.

Open

Retrieves the set of guides that was previously saved.

Clear

Clears all guides from the current set.

Magnetic

With this option active, elements will snap to a guide once they are dragged to its proximity.

Color

Choose a color, which contrasts the background, or other predominant colors on the page.

Guides on Top

Choose this option to display guides on top of all other objects.

Transparency

A transparency setting of 100% will "hide" the guides.

Creating Guides

  • Use the Ruler function button on the toolbar to display the ruler

  • Click on the horizontal or vertical ruler and drag it into the page

  • If guides are not visible, adjust the color and transparency setting


HTML Code Editor Panel

HTML Code Editor

Users can add custom HTML code to extend the built-in capabilities of StudioLine, by embedding HTML objects such as forms, Java applets or media files.

The dimensions of the HTML Code object on the page control the amount of display space StudioLine sets aside. If the HTML Code does not require any

Any user code could interfere with the StudioLine generated page. It is the responsibility of the user to test the published page carefully to make sure that there are no problems with look or function.

User Guide: Custom HTML Code


HTML Object Context Menu

Descriptors

Descriptors Panel

Cut

Moves the current selection to the system clipboard.

Ctrl+X

Copy

Copies the current selection to the system clipboard.

Ctrl+C

Paste

Pastes the content of the system clipboard.

Ctrl+V

Delete

Deletes the current selection.

Delete

Transfer to Layout

The selected object is dropped from the page layer into the layout layer.

With this option, you can design an entire page and later decide which objects are unique content and which objects should become part of the layout.

Text Width

Changes the width (in pixels) of the selected text element. This is useful, if multiple text columns have been selected and should be set to the same width.

The width of a text element may also be set by selecting it and then dragging the sizing handles.

Position

Position Panel

Lock Position

Once an element's position has been locked, it cannot be accidentally dragged to a new location. If a locked element is copied to a different page, it will be placed at the same position.

Stacking Order Submenu

Bring to Front / Send to Back (of Current Stack)

The selected image is moved to the very front or back of the current stack.

Step Forward / Step Backward

The selected image is moved one step in forward or backward direction through the current stack.

Move to … Stack

This option is only available in layout and layout template mode. The image is moved to one of the three layout stacks.

Stacking Order (User Guide)

Follow Link

If an element has a link to a page in the current site, that page is opened in the Page Editor.

Export

This function allows third-party text and graphics applications to use content maintained by StudioLine.

Export Object As Panel

Hide Selector Bands

Toggles the display of selector bands around selected objects.

Selector bands will reappear, if any object is being selected.

Container Submenu

This menu item only appears for objects inside a container.

Container Submenu

Edit

HTML Code Editor

Properties

HTML Object Properties Panel


HTML Object Properties Panel

HTML Object Properties

Head

The HTML code will be placed at the end of <HEAD> element.

Div

The HTML code will be placed in a <DIV> element.

Body

The HTML code will be placed at the beginning of the <BODY> element.

Media File

Select an optional media file to be included during publishing, e.g. a .WAV file that should be played as background music.

User Guide: Custom HTML Code


Descriptor Association Panel

Descriptor Association

Associates the descriptor values of an object with a text object on the same page. This way, a descriptive text, such as headlines, credits or file size can be written by using place holders that simply refer to specific descriptor values of the associated picture object. The same text is re-usable for other objects, simply by copying the text object and changing the association.

Drop Symbol

Click the symbol and drag it to any object on the page.

Associated Object

Name of the object from where the descriptor values will be taken.


Layout Submenu

The content and appearance of a new page is derived from its layout. Options, objects and design derived from the layout can be customized for an individual page by using the Page Editor. Later changes to the layout will preserve these customizations.

With this menu, the layout is reapplied to the derived pages. Prior customizations of options, objects and design derived from this layout will be lost.

Reapply Layout to Page (excluding Image Views)

Reapplies the layout to the page. Only the primary page level will be processed. Image view levels will not be reapplied.

Reapply Layout to Current Image View

Reapplies the layout to all pages derived from the current image view.

Reapply Layout to Page and Image Views

Reapplies the layout for the page and all image views, if any.

User Guide: Layouts and Templates


Margins Panel

Margins

StudioLine employs absolute positioning, placing every page element in a pre-determined location. As a result, the size of the web browser window will not change the appearance of a page by realigning the content.

Margins can be used by the web page designer to judge the appearance of a page on common screen sizes. Different margins may be set for each StudioLine site.

Show

Show or hide the left or right margins or the centerline of the page.

Optimize for ...

Select from common screen sizes (dimensions in pixels). The margins will show the approximate viewable area of a maximized browser window.

Margins on Top

Displays margins on top of any graphical content.

Note: Use the Page Align function buttons on the toolbar to control the alignment of the entire page in the browser window.


Position Panel

Position

This function allows the pixel-perfect positioning of objects.

If a single object is selected, then the position information refers to the top/left corner of the objects bounding rectangle. If multiple objects are selected, then the reference is to the top/left corner of the bounding rectangle around all selected objects.

Horizontal

The left-most position of the object(s).

Vertical

The top-most position of the object(s)

Shift Selected Objects

Moves the object(s) 1 pixel in the direction the arrow points.

Hold the Shift key on the keyboard while clicking on an a directional button will step by 10 pixels.


Pages to Publish Panel

Pages to Publish

Site

Name of the current site that will be published.

Pages

Lists the pages in the current site. Modified pages have a red colored icon, excluded pages have a greyed icon.

  • Move the mouse cursor over a page name to view its publishing status.
  • Click the right mouse button over a page name to access its context menu.
  • Double-click on a page to preview it.

Pages that are scheduled for publishing are already selected. If necessary one can manually select or deselect individual pages:

  • To add or remove a page from the selection for this publishing run, hold down the Ctrl key and click on the page.
  • To exclude a page for this and future publishing runs, open its context menu and select the option “Exclude Page” or “Exclude Page from All Profiles”.
    For additional information see refer to Publishing Menu: Exclude Page

Select Current Page Only

Unselects all pages and selects only the page that is currently open in Page Editor.

Select Modified Pages

Unselects all pages and selects only those pages, which have been modified since any prior publishing run with the current publishing profile.

Select All Pages

Selects all pages for publishing, with the exception of pages that have been set to “Exclude Page”.


Position Anchor Panel

Position Anchor

Normally, the reference point for objects is the top left corner of the page. But sometimes, the design of a page calls for a title to be centered at a given distance over the container, or navigation buttons are suppose to line up below the bottom of the container. By anchoring these objects to the container, they will maintain their relative positions, even if the container is moved or its dimensions change.

Anchor objects to container

If selected, the object is anchored to the container.

If not selected, the object is anchored to the top left corner of the page.

Choose Reference Point

Select on of the four corners, four midpoints or the center of the container as a reference point for the object.

If the chosen reference point changes position, the anchored object will be shifted appropriately.

Freeze Vertically

If the chosen reference point changes its horizontal position, the anchored object will be shifted appropriately. A change in vertical position has no effect.

Freeze Horizontally

If the chosen reference point changes its vertical position, the anchored object will be shifted appropriately. A change in horizontal position has no effect.


Site Settings Panel

Site Settings

Name

Project name.
Used only within StudioLine and has no effect on the published web site.

Folder

Location of the site in StudioLine.

Home Page

Select the page that should be displayed when a web browser is requesting the root directory for the site.

If a site with a former home page is changed to have no home page, then the former home page will be removed during publishing. Any documents having a “home” navigation link will be broken.

Default Layout Template

Select the layout template used for any new pages you create for this site.

Publishing Profile

Select the publishing profile used to transfer this site to a server.


Text Preferences Panel

Text Preferences

Font

Choose from available typefaces.
User Guide: Fonts

Size

Point-size of font.

Style

Choose if text should be displayed in bold, italics or underlined.

Ignore font and size of pasted text

Most word processors enable StudioLine to carry over the typeface and size attributes for any pasted text.

If this preference settings is selected, the original attributes of the pasted text is ignored. Instead, the StudioLine text editor will assign text and size attributes based on where the text is being inserted.

Text Width

The default width for new text objects.


Verify Links Panel

Verify Links

Validates links and allows for global changes of all occurrences of a link on the site.

List of Links

Displays a list of URLs and email addresses that are referenced in links from pages of the current site.

  • Links that have yet to be verified show a gray question mark.

  • Valid links show a green checkmark.

  • Invalid links show a warning sign. Too see the specific error condition, move the mouse pointer over the warning sign.

Use the right mouse button to open a context menu for a link. It allows to verify, change or delete that link. You may also view a linked page in a web browser.

Verify Selection

Select individual URL links to be verified, then press the Selection button.

Verify All

All URL links will be verified.

Change Link

Globally changes all occurrences of the selected link.

Leave the new URL empty to delete all occurrences of the link.